<?php

/*
 * TYPES:
 * fieldset
 * radio
 * wp_dropdown_albums
 * input
 * textarea
 * color
 * upload
 * select
 * slider
 * social
 *
 * */

	function apollo13_settings_options(){
		
		$opt = array(
            array(
                'name' => __be( 'Front page' ),
                'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_front_page',
                'help' => '#!/main_settings_menu'
            ),
            array(
                'name' => __be( 'What to show on front page?' ),
                'desc' => __be( 'If you choose <strong>Page</strong> then make sure that in Settings->Reading->Front page displays'
                                . ' you selected <strong>A static page</strong>, that u wish to use.<br />' ),

                'id' => 'fp_variant',
                'default' => 'blog',
                'options' => array(
                    'page'          => __be( 'Page' ),
                    'blog'          => __be( 'Blog' ),
                    'albums_list'   => __be( 'Albums list' ),
                    'album'         => __be( 'Selected album' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Select start album' ),
                'desc' => __be( 'This album will show on page load.' ),
                'id' => 'fp_album',
                'default' => '',
                'type' => 'wp_dropdown_albums',
            ),
            array(
                'name' => __be( 'Autoplay background music' ),
                'desc' => __be( 'If header background music player is on, player will try to start playing music on page load(if you set this to <strong>on</strong>). This setting is only for front page.' ),
                'id' => 'fp_music_autoplay',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),


            array(
                'name' => __be( 'Info above header' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_header_info'
            ),
            array(
                'name' => __be( 'Turn on/off this module' ),
                'desc' => '',
                'id' => 'header_info',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Text info' ),
                'desc' => __be( 'You can use HTML here.' ),
                'id' => 'header_info_text',
                'default' => '<iframe width="425" height="170" frameborder="0" scrolling="no" marginheight="0" marginwidth="0" src="https://maps.google.com/maps?f=q&amp;source=s_q&amp;hl=pl&amp;geocode=&amp;q=new+york&amp;aq=&amp;sll=37.0625,-95.677068&amp;sspn=56.112526,135.263672&amp;ie=UTF8&amp;hq=&amp;hnear=Nowy+Jork&amp;t=m&amp;ll=40.714867,-74.005623&amp;spn=0.016264,0.036478&amp;z=14&amp;output=embed"></iframe>
<p>Lorem ipsum dolor sit amet, consectetur adipiscing elit. Maecenas iaculis, felis vel adipiscing sollicitudin, urna nisi porta dui, in hendrerit sem nisl sed lectus. In felis ante, fermentum malesuada venenatis id, laoreet eget mi. Duis non justo in lorem rhoncus sodales. Vivamus sit amet lorem nulla. Pellentesque non quam quis sem accumsan ullamcorper. </p>',
                'type' => 'textarea',
            ),
            array(
                'name' => __be( 'Add theme contact form' ),
                'desc' => '',
                'id' => 'header_info_contact',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Open on load?' ),
                'desc' => '',
                'id' => 'header_info_open',
                'default' => 'close',
                'options' => array(
                    'close' => __be( 'Closed' ),
                    'open' => __be( 'Open' ),
                ),
                'type' => 'radio',
            ),


            array(
                'name' => __be( 'Footer text' ),
                'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_footer_text'
            ),
            array(
                'name' => __be( 'Copyright text' ),
                'desc' => '',
                'id' => 'copyright_text',
                'default' => '&copy; Copyright 2012 Hypershot',
                'type' => 'input',
            ),


			array(
				'name' => __be( 'Contact form settings' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_contact_form'
			),
			array(
				'name' => __be( 'E-mail address where e-mails will be sent:' ),
				'desc' => __be( 'If empty, will use admin site e-mail' ),
				'id' => 'contact_email',
				'default' => '',
				'type' => 'input',
			),


			array(
				'name' => __be( 'Google Analytics' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_google_anal'
			),
			array(
				'name' => __be( 'Enter code here from GA here:' ),
				'desc' => '',
				'id' => 'ga_code',
				'default' => '',
				'type' => 'textarea',
			),
		);
		
		return $opt;
	}

	function apollo13_fonts_options(){
        $classic_fonts = array(
            'default'           => __be( 'Defined in CSS' ),
            'arial'             => __be( 'Arial' ),
            'calibri'           => __be( 'Calibri' ),
            'cambria'           => __be( 'Cambria' ),
            'georgia'           => __be( 'Georgia' ),
            'tahoma'            => __be( 'Tahoma' ),
            'times new roman'   => __be( 'Times new roman' ),
        );

		$opt = array(
			array(
				'name' => __be( 'Fonts settings' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_fonts',
                'help' => '#!/fonts_menu'
			),

			array(
				'name' => __be( 'Font for normal(content) text:' ),
				'desc' => __be( 'If you choose <strong>classic font</strong> then remember that this setting depends on fonts installed on client device.<br />'.
                                'If you choose <strong>google font</strong> then remember to choose needed variants and subsets. Read more in documentation.<br />'.
                                'For preview google font is loaded with variants regular and 700, and all available subsets.'),
				'id' => 'normal_fonts',
				'default' => 'calibri',
				'options' => $classic_fonts,
				'type' => 'font',
			),

			array(
				'name' => __be( 'Font for Titles/Headings:' ),
				'desc' => __be( 'If you choose <strong>classic font</strong> then remember that this setting depends on fonts installed on client device.<br />'.
                                'If you choose <strong>google font</strong> then remember to choose needed variants and subsets. Read more in documentation.<br />'.
                                'For preview google font is loaded with variants regular and 700, and all available subsets.'),
				'id' => 'titles_fonts',
				'default' => 'PT Sans Narrow:regular,700',
				'options' => $classic_fonts,
				'type' => 'font',
			),

			array(
				'name' => __be( 'Font for top nav menu, interactive elements, short labels, etc.:' ),
				'desc' => __be( 'If you choose <strong>classic font</strong> then remember that this setting depends on fonts installed on client device.<br />'.
                                'If you choose <strong>google font</strong> then remember to choose needed variants and subsets. Read more in documentation.<br />'.
                                'For preview google font is loaded with variants regular and 700, and all available subsets.'),
				'id' => 'nav_menu_fonts',
				'default' => 'PT Sans Narrow:regular,700',
				'options' => $classic_fonts,
				'type' => 'font',
			),
		);
		
		return $opt;
	}

	function apollo13_appearance_options(){
		$opt = array(
            array(
                'name' => __be( 'Main appearance settings' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_main_app_settings',
                'help' => '#!/appearance_menu_main_appearance_settings'
            ),
            array(
                'name' => __be( 'Layout style' ),
                'desc' => __be( 'It affects look of header and footer in wide resolutions.' ),
                'id' => 'layout_style',
                'default' => 'narrow',
                'options' => array(
                    'narrow' => __be( 'Narrow' ),
                    'wide' => __be( 'Wide' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Color scheme' ),
                'desc' => __be( 'It change icons colors and default colors of many elements' ),
                'id' => 'color_scheme',
                'default' => 'default',
                'options' => array(
                    'default' => __be( 'White(default)' ),
                    'black' => __be( 'Black' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Custom background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'body_bg_color',
                'default' => 'rgba(85,85,85,1)',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Custom background image' ),
                'desc' =>__be( 'Enter an URL or upload an image for background. Paste the full URL (include <code>http://</code>). Left empty to use default theme value.' ),
                'id' => 'body_image',
                'default' => 'http://themes.apollo13.eu/hypershot/wp-content/uploads/2012/11/shattered.jpg',
                'button_text' => __be('Upload Image'),
                'type' => 'upload'
            ),
            array(
                'name' => __be( 'Background horizontal position' ),
                'desc' => __be( 'If you set one position setting, you will have to set other also to make this setting work. ' ),
                'id' => 'body_position_x',
                'default' => 'center',
                'options' => array(
                    'default' => __be( 'default theme value' ),
                    'left' => __be( 'left' ),
                    'center' => __be( 'center' ),
                    'right' => __be( 'right' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Background vertical position' ),
                'desc' => __be( 'If you set one position setting, you will have to set other also to make this setting work. ' ),
                'id' => 'body_position_y',
                'default' => 'center',
                'options' => array(
                    'default' => __be( 'default theme value' ),
                    'top' => __be( 'left' ),
                    'center' => __be( 'center' ),
                    'bottom' => __be( 'bottom' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Background Repeat' ),
                'desc' => '',
                'id' => 'body_repeat',
                'default' => 'repeat',
                'options' => array(
                    'default' => __be( 'default theme value' ),
                    'no-repeat' => __be( 'no repeat' ),
                    'repeat' => __be( 'repeat in both axes' ),
                    'repeat-x' => __be( 'repeat horizontal' ),
                    'repeat-y' => __be('repeat verical' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Headings/Titles color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'headings_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Headings/Titles color hover' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'headings_color_hover',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Links color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'links_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Links color hover' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'links_color_hover',
                'default' => '',
                'type' => 'color'
            ),


            array(
                'name' => __be( 'Customize Logo' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_logo_settings',
                'help' => '#!/appearance_menu_customize_logo'
            ),
            array(
                'name' => __be( 'Custom logo image' ),
                'desc' =>__be( 'Enter an URL or upload an image for logo. Paste the full URL (include <code>http://</code>).' ),
                'id' => 'logo_image',
                'default' => 'http://themes.apollo13.eu/hypershot/wp-content/uploads/2012/11/logo.png',
                'button_text' => __be('Upload Image'),
                'type' => 'upload'
            ),


            array(
                'name' => __be( 'Customize header' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_header_app'
            ),
            array(
                'name' => __be( 'Fixed header' ),
                'desc' => __be( 'If enabled, header will remain fixed while scrolling page.' ),
                'id' => 'fixed_header',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'Enable' ),
                    'off' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Header upper background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'header_addons_bg_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Header upper part font size' ),
                'desc' =>__be( 'Use slider to set proper font size.' ),
                'id' => 'header_addons_font_size',
                'default' => '',
                'unit' => 'px',
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Header lower background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'header_bg_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu main separator color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl1_sep_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu main links font size' ),
                'desc' =>__be( 'Use slider to set proper font size.' ),
                'id' => 'menu_lvl1_font_size',
                'default' => '',
                'unit' => 'px',
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Menu main links color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl1_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu main links hover color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl1_hover_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu main links active page color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl1_active_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu dropdown background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl2_bg_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu dropdown separator color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl2_sep_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu dropdown links font size' ),
                'desc' =>__be( 'Use slider to set proper font size.' ),
                'id' => 'menu_lvl2_font_size',
                'default' => '',
                'unit' => 'px',
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Menu dropdown links color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl2_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu dropdown links hover color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl2_hover_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Menu dropdown links active page color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'menu_lvl2_active_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Classic menu for big touch devices' ),
                'desc' => __be( 'It will enable normal menu for touch devices with width above 650px. If you decide to use it you should not make multilevel menu, as users of such devices can\'t reach it in normal menu.' ),
                'id' => 'touch_force_classic_menu',
                'default' => 'off',
                'options' => array(
                    'on' => __be( 'Enable' ),
                    'off' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Switch on/off header search form' ),
                'desc' => '',
                'id' => 'header_search',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'Enable' ),
                    'off' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),


            array(
                'name' => __be( 'Customize footer' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_footer_app'
            ),
            array(
                'name' => __be( 'Custom background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'footer_bg_color',
                'default' => '',
                'type' => 'color'
            ),
//            array(
//                'name' => __be( 'Texts font color' ),
//                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
//                'id' => 'footer_font_color',
//                'default' => 'rgba(255,255,255,0.67)',
//                'type' => 'color'
//            ),
            array(
                'name' => __be( 'Texts font size' ),
                'desc' =>__be( 'Use slider to set proper font size.' ),
                'id' => 'footer_font_size',
                'default' => '',
                'unit' => 'px',
                'type' => 'slider'
            ),
		);
		
		return $opt;
	}

    function apollo13_blog_options(){

        $opt = array(
            array(
                'name' => __be( 'Main settings' ),
                'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_blog',
                'help' => '#!/blog_archives_menu'
            ),
            array(
                'name' => __be( 'Type of post excerpts' ),
                'desc' => __be( 'In Manual mode excerpts are used only if you add more tag (&lt;!--more--&gt;).<br />' .
                    'In Automatic mode if you won\'t provide more tag or explicit excerpt, content of post will be cut automatic.<br />' .
                    'This setting only concerns blog list, archive list, search results. <br />' .
                    'Read more in <strong>Adding New Posts/Pages -&gt; Posts list / blog</strong> section in documentation.' ),
                'id' => 'excerpt_type',
                'default' => 'manual',
                'options' => array(
                    'auto'          => __be( 'Automatic' ),
                    'manual'          => __be( 'Manual' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Author info in post' ),
                'desc' => __be( 'Will show information about author below post content. Not displayed in blog post list.' ),
                'id' => 'author_info',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Masonry brick width' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'brick_width',
                'default' => '340px',
                'unit' => 'px',
                'min' => 100,
                'max' => 600,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Masonry brick margin' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'brick_margin',
                'default' => '15px',
                'unit' => 'px',
                'min' => 0,
                'max' => 100,
                'type' => 'slider'
            ),

            array(
                'name' => __be( 'Blog appearance' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_blog_appearance'
            ),
            array(
                'name' => __be( 'Blog style' ),
                'desc' => __be( 'It affects look of blog.' ),
                'id' => 'blog_layout_style',
                'default' => 'masonry',
                'options' => array(
                    'normal' => __be( 'Classic' ),
                    'masonry' => __be( 'Masonry' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Use full width masonry' ),
                'desc' => __be( 'To use it correctly sidebar should be switched off.' ),
                'id' => 'blog_full_width',
                'default' => 'on',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Blog sidebar' ),
                'desc' => __be( 'It affects look of main blog page.' ),
                'id' => 'blog_sidebar',
                'default' => 'off',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Show info bar' ),
                'desc' => __be( 'Displayed in blog and blog post pages. Place where is displayed blog title, RSS icon link and filter.' ),
                'id' => 'info_bar',
                'default' => 'on',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Info bar: RSS icon' ),
                'desc' => '',
                'id' => 'info_bar_rss',
                'default' => 'on',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Info bar: Filter' ),
                'desc' => '',
                'id' => 'info_bar_filter',
                'default' => 'on',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Info bar: Blog title' ),
                'desc' => __be( 'Shows blog title on main blog page and in each post.' ),
                'id' => 'info_bar_blog_title',
                'default' => 'on',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Flat look sidebar' ),
                'desc' => __be( 'No rounded corners and no shadows under sidebar. It is good if you would like to use content background color same as sidebar.' ),
                'id' => 'blog_sidebar_flat_look',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Flat look blog items' ),
                'desc' => __be( 'No rounded corners and no shadows under each item. It is good if you would like to use masonry style, with no margin between bricks.' ),
                'id' => 'blog_flat_look',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Content background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'blog_content_bg',
                'default' => '',
                'type' => 'color'
            ),


            array(
                'name' => __be( 'Archive/Search results appearance' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_archive_appearance'
            ),
            array(
                'name' => __be( 'Archive style' ),
                'desc' => __be( 'It affects look of search and archive pages.' ),
                'id' => 'archive_layout_style',
                'default' => 'normal',
                'options' => array(
                    'normal' => __be( 'Classic' ),
                    'masonry' => __be( 'Masonry' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Use full width masonry' ),
                'desc' => __be( 'To use it correctly sidebar should be switched off.' ),
                'id' => 'archive_full_width',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Archive sidebar' ),
                'desc' => __be( 'It affects look of search and archive pages.' ),
                'id' => 'archive_sidebar',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Flat look sidebar' ),
                'desc' => __be( 'No rounded corners and no shadows under sidebar. It is good if you would like to use content background color same as sidebar.' ),
                'id' => 'archive_sidebar_flat_look',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Flat look blog items' ),
                'desc' => __be( 'No rounded corners and no shadows under each item. It is good if you would like to use masonry style, with no margin between bricks.' ),
                'id' => 'archive_flat_look',
                'default' => 'off',
                'options' => array(
                    'on'    => __be( 'On' ),
                    'off'   => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Content background color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'archive_content_bg',
                'default' => '',
                'type' => 'color'
            ),
        );

        return $opt;
    }
	
	function apollo13_albums_options(){
			
		$opt = array(
			array(
				'name' => __be( 'Albums list page settings' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_albums',
                'help' => '#!/albums_menu'
			),
			array(
				'name' => __be( 'Album slug name' ),
				'desc' => __be( 'Don\'t change this if you don\'t have to. Remember that if you use nice permalinks(eg. <code>yoursite.com/page-about-me</code>, <code>yoursite.com/album/damn-empty/</code>) then <strong>NONE of your static pages</strong> should have same slug as this, or pagination will break and other problems may appear.' ),
				'id' => 'cpt_post_type',
				'default' => 'album',
				'type' => 'input',
			),
			array(
				'name' => __be( 'Select start album' ),
				'desc' => __be( 'This album will show on page load.' ),
				'id' => 'start_album',
				'default' => '',
				'type' => 'wp_dropdown_albums',
                'only_visible' => true
			),
            array(
                'name' => __be( 'Select style for albums list' ),
                'desc' => '',
                'id' => 'albums_list_style',
                'default' => 'bricks',
                'options' => array(
                    'slider' => __be( 'Slider' ),
                    'bricks' => __be( 'Bricks' ),
                ),
                'type' => 'radio',
            ),


            array(
                'name' => __be( 'Albums list appearance(Slider theme)' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_albums_list_slider_app',
                'help' => '#!/albums_menu_albums_list_appearance_slider_theme_'
            ),
            array(
                'name' => __be( 'Active item border color' ),
                'desc' =>__be( 'Use valid CSS <code>color</code> property values( <code>green, #33FF99, rgb(255,128,0)</code> ), or get your color with color picker tool. Left empty to use default theme value.' ),
                'id' => 'albums_border_color',
                'default' => '',
                'type' => 'color'
            ),
            array(
                'name' => __be( 'Active item border width' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'albums_border_size',
                'default' => '0px',
                'unit' => 'px',
                'min' => 0,
                'max' => 50,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Active item title font size' ),
                'desc' =>__be( 'Use slider to set proper font size.' ),
                'id' => 'albums_title_size',
                'default' => '26px',
                'unit' => 'px',
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Active item bonus additional space' ),
                'desc' =>__be( 'It will be added at top and bottom of active item. Width is calculated automatic' ),
                'id' => 'albums_zoom_size',
                'default' => '0px',
                'unit' => 'px',
                'min' => 0,
                'max' => 500,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Slider margin' ),
                'desc' =>__be( 'Minimum gallery margin from header and footer' ),
                'id' => 'albums_margin_size',
                'default' => '0px',
                'unit' => 'px',
                'min' => 0,
                'max' => 500,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Max height of non active item' ),
                'desc' =>__be( 'The maximum height that item will take if there will be enough space on screen.' ),
                'id' => 'albums_max_height',
                'default' => '2000px',
                'unit' => 'px',
                'min' => 10,
                'max' => 2000,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Animation time(ms)' ),
                'desc' =>__be( 'For zooming &amp; sliding.' ),
                'id' => 'albums_animation_time',
                'default' => 800,
                'unit' => '',
                'min' => 0,
                'max' => 3000,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Fade in time(ms)' ),
                'desc' =>__be( 'How long after loading will take image to fade in.' ),
                'id' => 'albums_fade_time',
                'default' => 300,
                'unit' => '',
                'min' => 0,
                'max' => 3000,
                'type' => 'slider'
            ),


            array(
                'name' => __be( 'Albums list appearance(Bricks theme)' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_albums_list_bricks_app',
                'help' => '#!/albums_menu_albums_list_appearance_bricks_theme_'
            ),
            array(
                'name' => __be( 'Brick width' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'albums_brick_width',
                'default' => '320',
                'unit' => 'px',
                'min' => 50,
                'max' => 600,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Brick height' ),
                'desc' =>__be( 'Use slider to set proper size. If you want photo to not be cropped, set to 0.' ),
                'id' => 'albums_brick_height',
                'default' => '0',
                'unit' => 'px',
                'min' => 0,
                'max' => 600,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Brick margin' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'albums_brick_margin',
                'default' => '0',
                'unit' => 'px',
                'min' => 0,
                'max' => 100,
                'type' => 'slider'
            ),


            array(
                'name' => __be( 'Single album appearance(Full theme)' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_album_app'
            ),
            array(
                'name' => __be( 'Fit album' ),
                'desc' => __be( 'Do you want to album items to be between header and footer(Fully visible) or parts can be hidden under header and footer(Full screen). Not used in background albums.' ),
                'id' => 'album_fit_album',
                'default' => '2',
                'options' => array(
                    '1' => __be( 'Fully visible' ),
                    '2' => __be( 'Full screen' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Image Quality' ),
                'desc' =>__be( 'What to use depends of type of transition and its speed. If you have slow transition, then choosing normal image quality should give better visual effects. If you have fast transition then use hybrid, as loose of quality wont be seen.' . '<br />'
                    . 'It has effect only in <strong>Firefox and Internet Explorer</strong> browsers.' ),
                'id' => 'album_image_quality',
                'default' => '1',
                'options' => array(
                    '0' => __be( 'Normal' ),
                    '1' => __be( 'Hybrid' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Autoplay' ),
                'desc' => __be( 'If autoplay is on, album items will start sliding on page load. Global setting, but you can change this in each album settings.' ),
                'id' => 'album_autoplay',
                'default' => 'on',
                'options' => array(
                    '1' => __be( 'On' ),
                    '0' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Slide interval(ms)' ),
                'desc' =>__be( 'Time between slide transitions.' ) . ' ' . __be( 'Global for all albums.' ),
                'id' => 'album_slide_interval',
                'default' => 7000,
                'unit' => '',
                'min' => 0,
                'max' => 15000,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Transition type' ),
                'desc' =>__be( 'Animation between slides.' ),
                'id' => 'album_transition',
                'default' => '6',
                'options' => array(
                    '0' => __be( 'None' ),
                    '1' => __be( 'Fade' ),
                    '2' => __be( 'Slide Top' ),
                    '3' => __be( 'Slide Right' ),
                    '4' => __be( 'Slide Bottom' ),
                    '5' => __be( 'Slide Left' ),
                    '6' => __be( 'Carousel Right' ),
                    '7' => __be( 'Carousel Left' ),
                ),
                'type' => 'select',
            ),
            array(
                'name' => __be( 'Transition speed(ms)' ),
                'desc' =>__be( 'Speed of transition.' ) . ' ' . __be( 'Global for all albums.' ),
                'id' => 'album_slide_transition',
                'default' => 420,
                'unit' => '',
                'min' => 0,
                'max' => 10000,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Enable thumbnails list' ),
                'desc' => '',
                'id' => 'album_thumb_links',
                'default' => '0',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Enable dynamic changing albums' ),
                'desc' => __be( 'It depends on thumbnails list. If enabled you can change albums while viewing album with full theme.' ),
                'id' => 'album_other_albums',
                'default' => '1',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Show thumbnails/text/none on page load' ),
                'desc' =>__be( 'You can choose Thumbnails or text(of first slide) to be visible on page load.' ),
                'id' => 'album_thumbs_on_start',
                'default' => 'none',
                'options' => array(
                    'thumbs' => __be( 'Thumbnails' ),
                    'text' => __be( 'Text' ),
                    'none' => __be( 'None' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Thumbnail height' ),
                'desc' => __be( 'Global for all albums.' ),
                'id' => 'album_thumb_height',
                'default' => 100,
                'unit' => 'px',
                'min' => 30,
                'max' => 300,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Thumbnail width' ),
                'desc' => __be( 'Global for all albums.' ),
                'id' => 'album_thumb_width',
                'default' => 150,
                'unit' => 'px',
                'min' => 30,
                'max' => 300,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Random slide order' ),
                'desc' =>'',
                'id' => 'album_random',
                'default' => '0',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Tools icon - Show description(i icon)' ),
                'desc' => __be( 'Can be overwritten in each album' ),
                'id' => 'album_icon_desc',
                'default' => '1',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Tools icon - Link to attachment(chain icon)' ),
                'desc' => __be( 'Can be overwritten in each album' ),
                'id' => 'album_icon_link',
                'default' => '1',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Tools icon - Social icons(share icon)' ),
                'desc' => __be( 'Can be overwritten in each album' ),
                'id' => 'album_icon_share',
                'default' => '1',
                'options' => array(
                    '1' => __be( 'Enable' ),
                    '0' => __be( 'Disable' ),
                ),
                'type' => 'radio',
            ),



            array(
                'name' => __be( 'Single album appearance(Bricks theme)' ),
                'type' => 'fieldset',
                'default' => 0,
                'id' => 'fieldset_album_app_bricks'
            ),
            array(
                'name' => __be( 'Brick width' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'album_brick_width',
                'default' => '320',
                'unit' => 'px',
                'min' => 50,
                'max' => 600,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Brick height' ),
                'desc' =>__be( 'Use slider to set proper size. If you want photo to not be cropped, set to 0.' ),
                'id' => 'album_brick_height',
                'default' => '0',
                'unit' => 'px',
                'min' => 0,
                'max' => 600,
                'type' => 'slider'
            ),
            array(
                'name' => __be( 'Brick margin' ),
                'desc' =>__be( 'Use slider to set proper size.' ),
                'id' => 'album_brick_margin',
                'default' => '0',
                'unit' => 'px',
                'min' => 0,
                'max' => 100,
                'type' => 'slider'
            ),
		);
		
		return $opt;
	}
	
	function apollo13_social_options(){
		$socials = array(
            '500px' => array(
                'name' => '500px',
                'value' => '',
                'pos'  => 0
            ),
			'aim' => array(
                'name' => 'Aim',
                'value' => '',
				'pos'  => 0
            ),
			'behance' => array(
                'name' => 'Behance',
                'value' => '',
				'pos'  => 0
            ),
			'blogger' => array(
                'name' => 'Blogger',
                'value' => 'http://www.apollo13.eu/',
				'pos'  => 0
            ),
			'delicious' => array(
                'name' => 'Delicious',
                'value' => '',
				'pos'  => 0
            ),
			'deviantart' => array(
                'name' => 'Deviantart',
                'value' => '',
				'pos'  => 0
            ),
			'digg' => array(
                'name' => 'Digg',
                'value' => '',
				'pos'  => 0
            ),
			'dribbble' => array(
                'name' => 'Dribbble',
                'value' => '',
				'pos'  => 0
            ),
			'evernote' => array(
                'name' => 'Evernote',
                'value' => '',
				'pos'  => 0
            ),
			'facebook' => array(
                'name' => 'Facebook',
                'value' => 'http://www.apollo13.eu/',
				'pos'  => 0
            ),
			'flickr' => array(
                'name' => 'Flickr',
                'value' => 'http://www.apollo13.eu/',
				'pos'  => 0
            ),
			'forrst' => array(
                'name' => 'Forrst',
                'value' => '',
				'pos'  => 0
            ),
			'foursquare' => array(
                'name' => 'Foursquare',
                'value' => '',
				'pos'  => 0
            ),
			'github' => array(
                'name' => 'Github',
                'value' => '',
				'pos'  => 0
            ),
			'googleplus' => array(
                'name' => 'Google Plus',
                'value' => '',
				'pos'  => 0
            ),
            'instagram' => array(
                'name' => 'Instagram',
                'value' => '',
                'pos'  => 0
            ),
			'lastfm' => array(
                'name' => 'Lastfm',
                'value' => 'http://www.apollo13.eu/',
				'pos'  => 0
            ),
			'linkedin' => array(
                'name' => 'Linkedin',
                'value' => '',
				'pos'  => 0
            ),
			'paypal' => array(
                'name' => 'Paypal',
                'value' => '',
				'pos'  => 0
            ),
			'pinterest' => array(
                'name' => 'Pinterest',
                'value' => 'http://www.apollo13.eu/',
				'pos'  => 0
            ),
			'quora' => array(
                'name' => 'Quora',
                'value' => '',
				'pos'  => 0
            ),
			'rss' => array(
                'name' => 'RSS',
                'value' => '',
				'pos'  => 0
            ),
			'sharethis' => array(
                'name' => 'Sharethis',
                'value' => '',
				'pos'  => 0
            ),
			'skype' => array(
                'name' => 'Skype',
                'value' => '',
				'pos'  => 0
            ),
			'stumbleupon' => array(
                'name' => 'Stumbleupon',
                'value' => '',
				'pos'  => 0
            ),
			'tumblr' => array(
                'name' => 'Tumblr',
                'value' => '',
				'pos'  => 0
            ),
			'twitter' => array(
                'name' => 'Twitter',
                'value' => 'http://www.apollo13.eu/',
                'pos'  => 0
            ),
			'vimeo' => array(
                'name' => 'Vimeo',
                'value' => '',
                'pos'  => 0
            ),
			'wordpress' => array(
                'name' => 'Wordpress',
                'value' => '',
                'pos'  => 0
            ),
			'yahoo' => array(
                'name' => 'Yahoo',
                'value' => '',
                'pos'  => 0
            ),
			'youtube' => array(
                'name' => 'Youtube',
                'value' => '',
                'pos'  => 0
            ),
		);
	
		$opt = array(
			array(
				'name' => __be( 'Social settings' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_social',
                'help' => '#!/social_menu'
			),
			array(
				'name' => __be( 'Number of visible icons:' ),
				'desc' => __be( 'Set to 0 to disable social icons in header. Setting to "4" is recommended' ),
				'id' => 'social_number_of_visible',
				'default' => '3',
				'type' => 'input',
			),
			array(
				'name' => __be( 'Icons set' ),
				'desc' => '',
				'id' => 'social-icons-set',
				'default' => 'white',
				'options' => array(
					'white' => __be( 'White icon set' ),
					'black' => __be( 'Black icon set' ),
					'color' => __be( 'Color icon set' ),
				),
				'type' => 'radio',
			),


			array(
				'name' => __be( 'Social services' ),
				'type' => 'fieldset',
                'default' => 1,
                'id'   => 'sortable-socials'
			),
			array(
				'name' => __be( 'Social services' ),
				'desc' => __be( 'Use <code>http://</code> in your social links' ),
				'id' => 'social_services',
				'default' => '',
				'type' => 'social',
				'options' => $socials
			),
		);
		
		return $opt;
	}

    function apollo13_music_options(){

        $opt = array(
            array(
                'name' => __be( 'Music settings' ),
                'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_music',
                'help' => '#!/music_menu'
            ),
            array(
                'name' => __be( 'Header background music player' ),
                'desc' => __be( 'Switch on/off music player in header area.' ),
                'id' => 'music_player',
                'default' => 'on',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
            array(
                'name' => __be( 'Music file in MP3 format' ),
                'desc' =>__be( 'Enter an URL or upload a music file. Paste the full URL (include <code>http://</code>).' ),
                'id' => 'music_mp3',
                'default' => 'http://themes.apollo13.eu/hypershot/wp-content/uploads/2012/11/adg3com_bustedchump.mp3',
                'button_text' => __be('Upload music file'),
                'media_button_text' => __be('Insert music file'),
                'media_type' => 'audio',
                'type' => 'upload'
            ),
            array(
                'name' => __be( 'Music file in OGG format' ),
                'desc' =>__be( 'Enter an URL or upload a music file. Paste the full URL (include <code>http://</code>).' ),
                'id' => 'music_ogg',
                'default' => 'http://themes.apollo13.eu/hypershot/wp-content/uploads/2012/11/adg3com_bustedchump.ogg',
                'button_text' => __be('Upload music file'),
                'media_button_text' => __be('Insert music file'),
                'media_type' => 'audio',
                'type' => 'upload'
            ),
            array(
                'name' => __be( 'Autoplay' ),
                'desc' => __be( 'If autoplay is on, player will try to start playing music on page load. Global setting, but you can change this in each page/post settings.' ),
                'id' => 'music_autoplay',
                'default' => 'off',
                'options' => array(
                    'on' => __be( 'On' ),
                    'off' => __be( 'Off' ),
                ),
                'type' => 'radio',
            ),
        );

        return $opt;
    }

	function apollo13_advance_options(){
			
		$opt = array(
			array(
				'name' => __be( 'Validation settings' ),
				'type' => 'fieldset',
                'default' => 1,
                'id' => 'fieldset_validation',
                'help' => '#!/advance_menu'
			),
			array(
				'name' => __be( 'Comments validation' ),
				'desc' => __be( 'If you wish to use some plugin for validation in <strong>comments form</strong> then you should turn off build in theme validation' ),
				'id' => 'apollo_validation',
				'default' => 'on',
				'options' => array(
                    'on' => __be( 'Enable' ),
                    'off' => __be( 'Disable' ),
				),
				'type' => 'radio',
			),
		);
		
		return $opt;
	}