<?php

define( 'ALBUMS_LIST_PAGE', true );


?>

<?php
    /**
     * The loop that displays albums.
     *
     */

    global $wp_query, $paged, $apollo13, $genre_template;


    //settings
    $theme = $apollo13->get_option('albums', 'albums_list_style');
    $is_bricks = $theme == 'bricks';
    $original_query = $wp_query;
    $offset = -1;
    $paged = 0;
    $per_page = -1;

    $args = array(
        'posts_per_page'      => $per_page,
        'offset'              => $offset,
        'post_type'           => CUSTOM_POST_TYPE,
        'post_status'         => 'publish',
        'ignore_sticky_posts' => true,
        'meta_key' => '_background_only',
        'meta_value' => '0',
    );

    if($genre_template === true){
        $term_slug = get_query_var('term');
        if( ! empty( $term_slug ) ){
            $args['genre'] = $term_slug;
            $term_name = get_term_by( 'slug', $term_slug, 'genre');
        }
    }

    //make query for albums
    get_header();
    $wp_query = new WP_Query( $args );
?>

    <div id="content" class="albums-list<?php echo ($is_bricks)? ' bricks-theme' : ''; ?>">
    <?php    /* If there are no posts to display, such as an empty archive page */
    if ( ! have_posts() ) : ?>
        <div class="info-bar" id="begin-of-content">
            <div class="inside">
                <h1 class="page-title"><?php _fe( 'Apologies, but no results were found for the requested archive.' ); ?></h1>
            </div>
        </div>
        <?php

    /* If there ARE some posts */
    elseif ($wp_query->have_posts()) :
        if($genre_template !== true && $is_bricks){
            //prepare filter
            $terms = get_terms('genre', 'hide_empty=1');

            if( count( $terms ) ):
                echo '<ul id="albums-filter" >';

                echo '<li class="label">'.__fe( 'Filter by' ).'</li>';
                echo '<li class="selected" data-filter="__all"><a href="' . esc_url(a13_current_url()) . '">' . __fe( 'All' ) . '</a></li>';
                foreach($terms as $term) {
                    echo '<li data-filter="'.$term->slug.'"><a href="'.esc_url(get_term_link($term)).'">' . $term->name . '</a></li>';
                }

                echo '</ul>';
            endif;
        }

        echo '<div class="albums'.($is_bricks? ' bricks-album' : '').'" id="albums-view-'.$theme.'">';

        while ( have_posts() ) :
            the_post();

            //get album genres
            $terms = wp_get_post_terms($post->ID, 'genre', array("fields" => "all"));
            $pre = 'data-genre-';
            $suf = '="1" ';
            $genre_string = '';

            if( count( $terms ) ):
                foreach($terms as $term) {
                    $genre_string .= $pre.$term->slug.$suf;
                }
            endif;

            echo '<div class="'.($is_bricks? ' brick' : 'item').'" id="album-' . get_the_ID() . '" ' . $genre_string . '>';
            if($is_bricks){
                echo a13_make_album_image($post->ID, 'albums-bricks' );
                echo '<em class="cov"></em>';
            }
            else
                echo a13_make_album_image($post->ID, 'full', true );

            echo '<h2><a href="'.get_permalink().'">' . get_the_title() . '</a></h2>';

            echo '</div>';
        endwhile;

        echo '</div>';
    endif;


    //restore previous query
    $wp_query = $original_query;
    wp_reset_postdata();
    ?>
    </div>

<?php if($theme == 'slider'): ?>
<div class="arrow-left"></div>
<div class="arrow-right"></div>
<?php endif; ?>


<?php get_footer(); ?>