<?php
/**
Template Name: Archives
 *
 */
get_header(); ?>

    <div class="info-bar" id="begin-of-content">
        <div class="inside">
            <?php echo '<h1 class="page-title">' . get_the_title() . '</h1>'; ?>
        </div>
    </div>
	<div id="content">
        <div class="inside clearfix">
            <article>
                <div class="real-content clearfix">
                <?php
                    //site map page content
                    if ( have_posts() ){
                        while ( have_posts() ){
                            the_post();
                            the_content();
                        }
                    }
                ?>
                    <div class="left50">
                        <h3><?php printf( __fe('Latest %d posts'), 50); ?></h3>
                        <ul>
                        <?php
                            wp_get_archives(array(
                            'type'            => 'postbypost',
                            'limit'           => 50,
                            ));
                        ?>
                        </ul>
                    </div>

                    <div class="right50">
                        <h3><?php _fe('By months'); ?></h3>
                        <ul>
                        <?php
                            wp_get_archives(array(
                            'type'            => 'monthly',
                            'show_post_count' => true,
                            ));
                        ?>
                        </ul>

                        <h3><?php printf( __fe( 'Top %d categories' ), 10); ?></h3>
                        <ul>
                        <?php
                            wp_list_categories(array(
                                'orderby'            => 'count',
                                'order'              => 'DESC',
                                'show_count'         => 1,
                                'number'             => 10,
                                'title_li'           => ''
                            ));
                        ?>
                        </ul>

                        <h3><?php printf( __fe( 'Top %d tags' ), 10); ?></h3>
                        <ul>
                        <?php
                            $tags = get_tags(array(
                                'orderby'            => 'count',
                                'order'              => 'DESC',
                                'number'             => 10,
                                'title_li'           => ''
                            ));
                            foreach ($tags as $tag){
                                $tag_link = get_tag_link($tag->term_id);
                                echo '<li><a href="'.esc_url($tag_link).'" title="'.esc_attr(sprintf( '%s Tag', $tag->name)).'" class="'.esc_attr($tag->slug).'">'.$tag->name.'</a> ('.$tag->count.')</li>';
                            }
                        ?>
                        </ul>
                    </div>
                </div>
            </article>
            <?php get_sidebar(); ?>
	    </div>
	</div>

<?php get_footer(); ?>