<!DOCTYPE html>
<!--[if lt IE 7]> <html class="no-js lt-ie10 lt-ie9 lt-ie8 lt-ie7" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 7]>    <html class="no-js lt-ie10 lt-ie9 lt-ie8" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 8]>    <html class="no-js lt-ie10 lt-ie9" <?php language_attributes(); ?>> <![endif]-->
<!--[if IE 9]>    <html class="no-js lt-ie10" <?php language_attributes(); ?>> <![endif]-->
<!--[if gt IE 9]><!--> <html class="no-js" <?php language_attributes(); ?>> <!--<![endif]-->
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>" />
    <meta name="viewport" content="width=device-width,initial-scale=1,maximum-scale=1,user-scalable=no" />
    <meta name="author" content="Apollo13 Team" />
    <meta name="google-site-verification" content="ohtxZr3ZtXGHirWLrAGCpDhckIr-1gK57tH__duNztE" />
    <title><?php
        /*
       * Print the <title> tag based on what is being viewed.
       */
        global $page, $paged, $apollo13;

        wp_title( '|', true, 'right' );

        // Add the blog name.
        bloginfo( 'name' );

        // Add the blog description for the home/front page.
        $site_description = get_bloginfo( 'description', 'display' );
        if ( $site_description && ( is_home() || is_front_page() ) )
            echo " | $site_description";

        // Add a page number if necessary:
        if ( $paged >= 2 || $page >= 2 )
            echo ' | ' . sprintf( __fe( 'Page %s' ), max( $paged, $page ) );

        ?></title>
    <link rel="profile" href="http://gmpg.org/xfn/11" />

    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
    <link rel="shortcut icon" href="<?php echo esc_url(get_template_directory_uri() . '/images/favicon.ico'); ?>" />
    <script src="<?php echo get_template_directory_uri(); ?>/js/libs/modernizr.min.js" type="text/javascript"></script>

    <?php
    /* Always have wp_head() just before the closing </head>
      * tag of your theme, or you will break many plugins, which
      * generally use this hook to add elements to <head> such
      * as styles, scripts, and meta tags.
      */
    wp_head();
    ?>
</head>
<?php
    //getting classes for body
    $body_class = a13_get_body_classes();
?>
<body id="top" <?php body_class($body_class); ?>>
	<div id="root">
        <div id="whole-bg-image">
            <div id="album-controls">
                <span id="prevslide" class="arrow-left"></span>
                <span id="play-button" class="action" data-play="<?php echo esc_attr(__fe( 'Play' )); ?>" data-pause="<?php echo esc_attr(__fe( 'Pause' )); ?>"></span>
                <span id="nextslide" class="arrow-right"></span>
            </div>
        </div>

        <?php
            $fixed_header = $apollo13->get_option( 'appearance', 'fixed_header' ) === 'on';
        ?>
        <div id="header-container" class="glass<?php echo $fixed_header ? ' sticky': ''; ?>">
            <?php
            //first in order cause here you can put information for positioning
            if( $apollo13->get_option( 'settings', 'header_info' ) == 'on' ){
                $c_form = $apollo13->get_option( 'settings', 'header_info_contact' ) == 'on';
                $hw_style = '';
                $hw_class = $apollo13->get_option( 'settings', 'header_info_open' );
                //if closed on start add 'one run' style
                if($hw_class == 'close') $hw_style=' style="height: 0px; overflow: hidden;"';
                if(!$c_form) $hw_class .= ' textonly';

                ?>
                <div id="head-widgets" class="<?php echo $hw_class; ?>">
                    <div class="content clearfix"<?php echo $hw_style; ?>>
                        <div class="text"><?php echo $apollo13->get_option( 'settings', 'header_info_text' ); ?></div>
                        <?php
                        if($c_form){
                            echo '<div class="form">'.a13_contact_form( $apollo13->get_option( 'settings', 'contact_email' ) ).'</div>';
                        }

                        ?>
                    </div>
                    <span class="handle action" data-show="<?php echo esc_attr(__fe( 'Show info' )); ?>" data-hide="<?php echo esc_attr(__fe( 'Hide info' )); ?>"><span></span><em class="hide-switch"></em></span>
                </div>
                <?php
            }
            ?>
            <header id="header" class="glass">
                <div class="add-ons clearfix">
                    <div class="content">
                        <?php
                        //search
                        $header_search = $apollo13->get_option( 'appearance', 'header_search' );
                        if( $header_search == 'on' ){
                            echo
                                '<div class="search">' .
                                    '<span class="action">'. __fe( 'Search' ) .'</span>';
                                    get_search_form();
                            echo
                                '</div>';
                        }

                        if($apollo13->get_option( 'music', 'music_player' ) == 'on'):
                            //add script for audio
                            wp_enqueue_script('apollo13-audio');
                            wp_enqueue_style('audio-css');
                            ?>

                            <div id="jpHeaderPlayer" class="music">
                                <div id="jpAudioContainer"></div>
                                <div id="jp_container_head">
                                    <ul class="jp-controls">
                                        <li><a href="#" class="jp-play" tabindex="1"><?php _fe( 'Play' ); ?></a></li>
                                        <li><a href="#" class="jp-pause" tabindex="1"><?php _fe( 'Pause' ); ?></a></li>
                                    </ul>
                                </div>
                            </div>

                        <?php endif; ?>

                        <?php
                        //socials
                        $visible_icons = $apollo13->get_option( 'social', 'social_number_of_visible' );
                        if( (int)$visible_icons > 0 ){
                            $icons_set = $apollo13->get_option( 'social', 'social-icons-set' );

                            //compare postions
                            function cmp($a, $b)
                            {
                                if ($a['pos'] == $b['pos']) {
                                    return 0;
                                }
                                return ($a['pos'] < $b['pos']) ? -1 : 1;
                            }

                            $socials = (array)$apollo13->get_option( 'social', 'social_services' );
                            uasort($socials, "cmp");
                            $soc_html = '';
                            $has_active = false;

                            foreach( $socials as $id => $value ){
                                if( ! empty($value['value']) ){
                                    $soc_html .= '<a target="_blank" href="' . esc_url($value['value']) . '" title="' . esc_attr(__fe( 'Follow us on ' ) . $apollo13->all_theme_options[ 'social' ][ 'social_services' ][ $id ]['name']) . '"><img src="' . esc_url(TPL_GFX . '/social-icons/' . $icons_set . '/' . $id . '.png').'" alt="" /></a>';
                                    $has_active = true;
                                }
                            }

                            if($has_active){
                        ?>
                            <div class="socials">
                                <span class="static"><?php _fe( 'Follow' ); ?></span>
                                <div class="visible">
                                    <div class="slide"><?php echo $soc_html; ?></div>
                                </div>
                            </div>
                        <?php
                            }
                        }
                        ?>
                    </div>
                </div>

                <div class="nav-parent">
                    <nav id="access" role="navigation">
                        <a id="logo" href="<?php echo esc_url(home_url( '/' )); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php echo esc_url($apollo13->get_option( 'appearance', 'logo_image' )); ?>" alt="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" /></a>

                        <h3 class="assistive-text"><?php _fe( 'Main menu' ); ?></h3>
                        <?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff. */ ?>
                        <a class="assistive-text" href="#begin-of-content" title="<?php esc_attr_e( __fe('Skip to primary content') ); ?>"><?php _fe( 'Skip to primary content' ); ?></a>
                        <a class="assistive-text" href="#secondary" title="<?php esc_attr_e( __fe('Skip to secondary content') ); ?>"><?php _fe( 'Skip to secondary content' ); ?></a>

                        <div class="menu-container">
                        <?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu. The menu assiged to the primary position is the one used. If none is assigned, the menu with the lowest ID is used. */ ?>
                        <?php
                        if ( has_nav_menu( 'header-menu' ) ):
                            /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */
                            wp_nav_menu( array(
                                    'container'       => false,
                                    'link_before'     => '<span>',
                                    'link_after'      => '</span>',
                                    'menu_class'      => 'top-menu',
                                    'theme_location'  => 'header-menu' )
                            );
                        else:
                            echo '<ul class="top-menu">';
                            wp_list_pages(
                                array(
                                    'link_before'     => '<span>',
                                    'link_after'      => '</span>',
                                    'title_li' 		  => ''
                                )
                            );
                            echo '</ul>';
                        endif;
                        ?>
                        </div>
                    </nav><!-- #access -->
                </div>
            </header>
        </div><!-- /#header-container -->
<?php do_action('icl_language_selector'); ?>
		<?php
            $mid_classes = a13_get_mid_classes();
		?>
		<div id="mid" class="clearfix <?php echo $mid_classes; ?>">

<?php if( 0 && WP_DEBUG ): ?>
	<?php echo "is front page " . is_front_page(); ?><br /> 
	<?php echo "is home " . is_home(); ?><br /> 
	<?php echo "is page " . is_page(); ?> <br />
	<?php echo "is single " . is_single(); ?> <br />
	<?php echo "is singular " . is_singular(); ?> <br />
	<?php echo "is 404 " . is_404(); ?> <br />
	<?php echo "is archive " . is_archive(); ?> <br />
	<?php echo "is category " . is_category(); ?> <br />
	<?php echo "is attachment " . is_attachment(); ?> <br />
	<?php echo "is search " . is_search(); ?> <br />
<?php endif; ?>