/*
	Inspired by	: Supersized www.buildinternet.com/project/supersized
*/
(function($){
    "use strict";
    /*global A13, ApolloParams, Modernizr, debounce, throttle, $f, _V_, YT, console, addTouchEvent, addthis */

    $.album_view = function(options){
        // Default Options
        var defaultOptions = {

            // Functionality
            theme                   :   'full',         //full or bg
            parent                  :   document.body, //where will be embeded main element
            autoplay				:	1,			// Slideshow starts playing automatically
            stop_loop				:	0,			// Stops slideshow on last slide
            random                  :   0,			// Randomize slide order (Ignores start slide)
            slide_interval          :   5000,		// Length between transitions
            transition              :   1,          // 0-None, 1-Fade, 2-Slide Top, 3-Slide Right, 4-Slide Bottom, 5-Slide Left, 6-Carousel Right, 7-Carousel Left
            transition_speed		:	750,		// Speed of transition
            keyboard_nav            :   1,			// Keyboard navigation on/off
            performance				:	1,			// 0-Normal, 1-Hybrid speed/quality, 2-Optimizes image quality, 3-Optimizes transition speed //  (Only works for Firefox/IE, not Webkit)

            // Size & Position
            fit_always				:	0,			// Image will never exceed browser width or height (Ignores min. dimensions)
            fit_landscape			:   0,			// Landscape images will not exceed browser width
            fit_portrait            :   1,			// Portrait images will not exceed browser height
            fit_when_needed         :   0,          // Best for small images that shouldn't be stretched
            min_width               :   0,			// Min width allowed (in pixels)
            min_height              :   0,			// Min height allowed (in pixels)
            horizontal_center       :   1,			// Horizontally center background
            vertical_center         :   1,			// Vertically center background


            // Components
            slide_links				:	'num',		// Individual links for each slide (Options: false, 'num', 'name', 'blank')
            thumb_links				:	1,			// Individual thumb links for each slide
            thumbnail_navigation    :   1,			// Thumbnail navigation
            other_albums_links      :   1,

            progress_bar            :   1,          // Timer for each slide
            show_thumbs_on_start    :   0,          //hide or show thumbs on load
            mouse_scrub             :   1           // Thumbnails move with mouse
        };


        /* Global Variables
         ----------------------------*/
        var album = this,
            vo      = $.extend({},defaultOptions, options), //options of slide show
            theme   = vo.theme,             //theme version (full, bg)
            slides  = vo.slides,            //params of each slide
            slides_num  = slides.length,    //number of slides
            all_slides  = {},               //$el.find('li')
            $load_item  = {},               //items that will fade in when ready
            $el         = {},               //our main element
            thumbs      = {},               //thumb_list.children(),
            thumb_width = 0,                //thumbs.eq(0).outerWidth(true),
            tray_width  = 0,                //width of visible tray
            thumb_list_w      = 0,          //width of all thumbnails
            maxThumbsCssLeft  = 0,          //maximum value of thumbs left postion

            slide_id_pre    = 'ss-slide-',
            slide_id_remove = slide_id_pre+'to-remove',
            p_bar_enabled   = vo.progress_bar,
            slide_links     = vo.slide_links,
            thumb_links     = vo.thumb_links,
            performance     = vo.performance,
            slideshow_interval_time = vo.slide_interval,
            other_albums_links = vo.other_albums_links,
            desc_icon_enabled  = vo.desc_icon,
            link_icon_enabled  = vo.link_icon,
            share_icon_enabled = vo.share_icon,

            //Minor animation times
            minorShowTime = 300,
            minorHideTime = 200,

            // Elements
            other_albums        =   $('#other-albums'),     // List of other albums
            tray                =   $('#thumb-tray'),       // Thumbnail tray
            tray_i              =   tray.children(),        // div.inner keeps all together for hidding
            thumb_list_dom      =   '#thumb-list',          // Thumbnail list
            thumb_list          =   {},                     // Thumbnail list
            tray_button			=	$('#tray-button'),		// Thumbnail tray button
            prev_tray           =   $('#prev-tray-thumb'),  // Slide to rev thumb
            next_tray           =   $('#next-tray-thumb'),  // Slide to next thumb

            play_button			=	$('#play-button'),		// Play/Pause button
            next_slide			=	$('#nextslide'),		// Next slide button
            prev_slide			=	$('#prevslide'),		// Prev slide button
            controls_parent     =   $('#album-controls'),	// Controls parent

            prev_thumb          =   $('#prev-thumb'),       // thumb of prev slide
            next_thumb          =   $('#next-thumb'),       // thumb of next slide
            text_controls       =   $('#text-controls'),	// desc and list parent
            slide_list_dom      =   '#slide-list',          // Slide link list
            slide_list          =   {},                     // Slide link list
            slide_list_li       =   {},                     // Slide link children(<li>)
            footer              =   $('#footer'),

            slide_text          =	$('#slide-text'),                       // Slide texts
            slide_texts_p       =   slide_text.children(),                  // Texts parent
            slide_caption		=	slide_text.find('h1.caption'),          // Slide title
            slide_description   =	slide_text.find('div.descpription'),    // Slide description
            show_text           =   $('#show-text'),                        // Shows text of slide
            close_text          =   $('#close-text'),                       // Hides text of slide

            progress_bar		=	$('#progress-bar'),
            album_icons         =   $('#album-icons'),                      // Icons for actions with photo
            info_ico            =   album_icons.find('a.info-ico'),
            link_ico            =   album_icons.find('a.link-ico'),
            share_ico           =   album_icons.find('div.share-ico'),


            // Internal variables
            current_slide			=	0,			// Current slide number
            loadingNewAlbum         =   false,
            toRemoveSlide           =   {},
            in_animation            =	false,		// Prevents animations from stacking
            is_paused               =   false,		// Tracks paused on/off
            is_video_playing        =   false,		// Tracks paused on/off
            slideshow_interval_id	=	false,		// Stores slideshow timer
            progress_delay          =	false,		// Delay after resize before resuming slideshow
            thumb_interval          =   0,          // Thumbnail interval
            update_images           =   false,		// Trigger to update images after slide jump
            loadYouTubeAPI          =   false,      // Bool if YT API should load
            loadVimeoAPI            =   false,      // Bool if Vimeo API should load
            loadNativeVideoAPI      =   false,      // Bool if Native Video API should load
            videos                  =   {} ,        // videos from options

            hidden  = {                             //css for hidden elements
                opacity : 1,
                visibility : 'hidden',
                left: '-100%'
            },
            isTouch = Modernizr.touch,

            /***** small helpers functions *****/
            any_icon_enabled = function(){
                return (desc_icon_enabled || link_icon_enabled || share_icon_enabled);
            },

            animate_thumbs = function(left){        // move thumbs
                var is_animated = thumb_list.is(':animated');

                thumb_list
                    .stop()
                    .animate({
                        'left' : left
                    }, 500, (is_animated? 'linear' : 'swing'));
            },

            activate_text = function(){         //callback for opening text area
                //make opening buttons also closing triggers
                if(slide_text.hasClass('active')){
                    deactivate_text();
                    return;
                }

                //hide thumbs
                if(thumb_links && tray_button.hasClass('active')){
                    tray_button.click();
                }

                slide_text.addClass('active');
                slide_texts_p.slideDown(minorShowTime);
            },

            deactivate_text = function(){       //callback for closing text area
                slide_text.removeClass('active');
                slide_texts_p.slideUp(minorHideTime);
            },

            clean_prev_slide = function(slide){
                slide.css(hidden);
            },
            
            //if new album is loading some calls may be requested
            //for current slide(from old album) and some for first item from new album
            //checkForNewAlbumCall use for critical places
            getField = function(field, checkForNewAlbumCall){
                if(typeof checkForNewAlbumCall !== 'undefined' && checkForNewAlbumCall && loadingNewAlbum){
                    return toRemoveSlide[field];
                }
                return slides[current_slide][field];
            };

        /* Collects info about all slides, build slides set, thumbs set, links set
		----------------------------*/
        album.collect_n_build = function(){
            // Add in slide markers
            var thisSlide = 0,
                slideSet = '',
				markers = '',
				markerContent,
				thumbMarkers = '',
                prevThumb, nextThumb,
                ts; //this slide from array


            // Shuffle slide order if needed
            if (vo.random){
                var arr = slides;

                // Fisher-Yates shuffle algorithm (jsfromhell.com/array/shuffle)
                for(var j, x, i = arr.length; i; ){
                    j = parseInt(Math.random() * i, 10);
                    x = arr[--i];
                    arr[i] = arr[j];
                    arr[j] = x;
                }

                slides = arr;
            }

            ts = slides[thisSlide];
            //collect slides
			while(thisSlide <= slides_num-1){
				//Determine slide link content
				switch(slide_links){
					case 'num':
						markerContent = thisSlide+1;
						break;
					case 'name':
						markerContent = ts.title;
						break;
					case 'blank':
						markerContent = '';
						break;
				}

				slideSet = slideSet+'<li id="'+slide_id_pre+thisSlide+'" class="slide-'+thisSlide+'"></li>';

                //collect video info
                if(ts.type === 'video'){
                    //check which API is needed
                    if(ts.movie_type === 'youtube' && loadYouTubeAPI !== 'loaded'){
                        loadYouTubeAPI = true;
                    }
                    else if(ts.movie_type === 'vimeo' && loadVimeoAPI !== 'loaded'){
                        loadVimeoAPI = true;
                    }
                    else if(ts.movie_type === 'html5' && loadNativeVideoAPI !== 'loaded'){
                        loadNativeVideoAPI = true;
                    }

                    //copy video details
                    videos[slide_id_pre+thisSlide] = ts;
                }

                // Slide links
                if (slide_links){
                    markers += '<li class="slide-link-'+thisSlide + (thisSlide === 0 ? ' current-slide' : '') + '">'+
                               '<a>'+markerContent+'</a><span class="thumb" style="background-image: url('+ts.thumb+');"></span></li>';
                }
                // Slide Thumbnail Links
                if (thumb_links){
                    thumbMarkers += '<li class="thumb'+thisSlide + (thisSlide === 0 ? ' current-thumb' : '') + '"><img src="'+ts.thumb+'" alt="" /></li>';
                }

				thisSlide++;
                ts = slides[thisSlide];
			}

            album.loadVideoApi();

            //append ready html
			if (slide_links && slide_list_dom.length){
                text_controls.append('<ul id="'+slide_list_dom.replace('#','')+'">'+markers+'</ul>');
                //fill vars
                slide_list      = $(slide_list_dom);
                slide_list_li   = slide_list.children();
            }
			if (thumb_links && tray.length){
				tray_i.append('<ul id="'+thumb_list_dom.replace('#','')+'">'+thumbMarkers+'</ul>');
                //fill vars
                thumb_list          = $(thumb_list_dom);
                thumbs              = thumb_list.children();
                thumb_width         = thumbs.eq(0).outerWidth(true);
                tray_width          = tray.width();
                thumb_list_w        = slides_num * thumb_width;
                maxThumbsCssLeft    = tray_width - thumb_list_w;
			}

            //Place Elements
            if(!$el.length){ //for loading other albums
                $(vo.parent).append('<div id="album-loader"></div><ul id="album-view"></ul>');
                $el = $('#album-view');
            }

			$el.append(slideSet);
            //save for other functions
            all_slides = $el.find('li').not('#'+slide_id_remove);

			// Add in thumbnails
			if (vo.thumbnail_navigation){
				// Load previous thumbnail
                prevThumb = (current_slide - 1 < 0) ? slides_num - 1 : current_slide - 1;
				prev_thumb.css('background-image','url('+slides[prevThumb].thumb+')');

				// Load next thumbnail
				nextThumb = (current_slide === slides_num - 1) ? 0 : current_slide + 1;
				next_thumb.css('background-image','url('+slides[nextThumb].thumb+')');
			}

            album._start(); // Get things started
        };


        /* Load first visible items and runs real start function as callback
		----------------------------*/
        album._start = function(){
            //good for minify
            var loadNext, loadPrev, slide_type, imageLink,
                item, slideCurrent, classes;

			// Set slideshow quality (Supported only in FF and IE, no Webkit)
			if (performance === 3){
                $el.addClass('speed'); // Faster transitions
			} else if ((performance === 1) || (performance === 2)){
				$el.addClass('quality');	// Higher image quality
			}

			/*-----Load initial set of images-----*/
			if (slides_num > 1){
				if(slides_num > 2){
					// Set previous image
                    loadPrev = (current_slide - 1 < 0) ? slides_num - 1 : current_slide - 1;	// If slide is 1, load last slide as previous
                    album.fillSlide(all_slides.eq(loadPrev), loadPrev, 'prevslide');
				}
			}

            if(loadingNewAlbum){
                current_slide = 0; //for proper getField calls
            }

			// Set current image
            slide_type = getField('type');
            slideCurrent = all_slides.eq(current_slide);

            if(slide_type === 'image'){
                if(loadingNewAlbum){ classes = 'image-loading'; }
                else               { classes = 'image-loading activeslide'; }

                imageLink = (getField('url')) ? "href='" + getField('url') + "'" : "";
                item = $('<img src="" />');

                item.appendTo(slideCurrent).wrap('<a ' + imageLink + '></a>').parent().parent().addClass(classes)
                    //hide if loading new album
                    .css(loadingNewAlbum? hidden : {});

                item
                    .css(hidden)
                    .load(function(){
                        album._origDim($(this));
                        album.resizeNow(this);	// Resize background image
                        item.hide().css({visibility : ''}).fadeIn(minorShowTime);
                        album.launch();
                    })
                    .attr('src', getField('image'));

                if(loadingNewAlbum){
                    current_slide = -1; //to start from first/last slide in new album
                }

                album.loadTheme();
                if(!loadingNewAlbum){ album._initHide(); }
            }
            else if(slide_type === 'video'){
                if(loadingNewAlbum){ classes = ''; }
                else               { classes = 'activeslide'; }

                item = $('<iframe src="'+getField('image')+'" />');
                item.appendTo(slideCurrent).parent().addClass(classes)
                    //hide if loading new album
                    .css(loadingNewAlbum? hidden : {});

                if(loadingNewAlbum){
                    current_slide = -1; //to start from first/last slide in new album
                }

                album.loadTheme();
                if(!loadingNewAlbum){album._initHide();}
                album.launch();

                //if first slide is video with autoplay enabled
                if(!loadingNewAlbum && parseInt(getField('autoplay'), 10)){
                    //stop things(interval, progress bar)
                    album.stoppu();
                    //play video
                    album.afterAnimation();
                }
            }

            //load next if it is not new album
            if(!loadingNewAlbum){
                if (slides_num > 1){
                    // Set next image
                    loadNext = (current_slide === slides_num - 1) ? 0 : current_slide + 1;	// If slide is last, load first slide as next
                    album.fillSlide(all_slides.eq(loadNext), loadNext);
                }
                /*-----End load initial images-----*/
            }

        };

        album.loadNewAlbum = function(e){
            e.preventDefault();

            //cover for thumbs
            var cover = $('<div class="cover loading" />').appendTo(tray);

            //highlight current album
            $(this).addClass('current')
                .siblings('a').removeClass('current');

            $.post(ApolloParams.ajaxurl, {
                    action : 'get_this_album', //called in backend
                    id : $(this).data('id')
                },
                function(r) {
                    var fit = r.fit;

                    if (!is_paused){
                        in_animation = false; // force
                        album.playToggle(); //pause slide show
                    }

                    //save current visible slide
                    all_slides.filter('.activeslide').attr('id',slide_id_remove);
                    //if not while switching through albums, cause it will use current_slide = -1
                    if(!loadingNewAlbum){
                        toRemoveSlide = slides[current_slide];
                    }
                    //and remove other
                    all_slides.not('.activeslide').remove();

                    //fit images
                    vo.fit_always       = (fit === 'fit_always'? 1 : 0);
                    vo.fit_portrait     = (fit === 'fit_portrait'? 1 : 0);
                    vo.fit_landscape    = (fit === 'fit_landscape'? 1 : 0);
                    vo.fit_when_needed	= (fit === 'fit_when_needed'? 1 : 0);

                    //random
                    vo.random           = parseInt(r.random, 10);

                    //transition type
                    vo.transition       = parseInt(r.transition, 10);

                    //refresh vars
                    slides          = r.items;
                    slides_num      = slides.length;
                    videos          = {};
                    current_slide   = -1; //to start from first/last slide in new album
                    loadingNewAlbum = true;

                    //remove old DOM
                    if (slide_links && slide_list.length){
                        slide_list.remove();
                    }
                    if (thumb_links && tray.length){
                        thumb_list.remove();
                    }

                    //build new
                    album.collect_n_build();

                    //if current slide was video add info about it
                    if(toRemoveSlide.type === 'video'){
                        videos.slide_id_remove = toRemoveSlide;
                    }

                    //hide preloader cover
                    cover.remove();
                },
                'json'
            );
        };


        /* Loads and sets other elements needed for interaction with album
         ----------------------------*/
        album.loadTheme = function(){
            var parent          = $(vo.parent),
                isFull          = theme === 'full',
                isBg            = theme === 'bg',
                arrows          = next_slide.add(prev_slide),
                what_to_show    = vo.show_thumbs_on_start,
                arrow_in_html   = '<span class="slides-count"><span class="num"></span><span class="of"></span></span>';

            //nav arrows
            if (isFull || isBg){
                if(!loadingNewAlbum){
                    $('#album-things').appendTo(footer);

                    //insert play button
                    if(isFull){
                        play_button.appendTo(footer.find('div.controls'));
                    }

                    if(vo.autoplay && slides_num > 1){
                        album.playToggle2('play');
                    }
                    else{
                        album.playToggle2('pause');
                    }
                }


                if(isFull){
                    if(!loadingNewAlbum){
                        //prepare arrows
                        arrows
                            //move arrows to parent
                            .appendTo(parent)
                            //add numbers html
                            .html(arrow_in_html);

                        prev_slide
                            .wrap('<div class="prev-parent" />')
                            //thumb
                            .append(prev_thumb);

                        next_slide
                            .wrap('<div class="next-parent" />')
                            //thumb
                            .append(next_thumb);
                    }

                    //total slides number
                    arrows.find('span.of').text(slides_num);

                    //prev slide number(last)
                    prev_slide.find('span.num').text(slides_num);

                    //next slide number(2nd)
                    next_slide.find('span.num').text(current_slide+2);
                }
                else{
                    controls_parent.addClass('active').appendTo(footer);
                    arrows.attr('class','');
                }

                //show or hide arrows
                if (slides_num > 1){
                    arrows.parent().show();
                }
                else{
                    arrows.parent().hide();
                    controls_parent.hide();
                }

                //thumbs tray
                if(isFull){
                    if(thumb_links && tray.length){
                        if(!loadingNewAlbum){
                            // Show thumbnails on load or not
                            if(what_to_show === 'none' || what_to_show === 'text'){
                                // Hide tray off screen
                                tray_i.css('bottom' , -tray.height());
                                tray.hide();

                                //hide other albums
                                if(other_albums_links){
                                    other_albums.css({
                                        bottom  : 0,
                                        opacity : 0,
                                        display : 'none'
                                    });
                                }
                            }
                            if(what_to_show === 'text'){
                                activate_text();
                            }
                            else if(what_to_show === 'thumbs'){
                                tray_button.addClass('active');
                            }

                            // Thumbnail Tray Toggle
                            tray_button.click(function(e){
                                e.preventDefault();

                                //if hiding tray
                                if(tray_button.hasClass('active')){
                                    tray_button.removeClass('active');
                                    tray_i.stop().animate({bottom : -tray.height()}, minorHideTime, function(){tray.hide();} );

                                    //hide other albums
                                    if(other_albums_links){
                                        other_albums.animate({
                                            bottom  : 0,
                                            opacity : 0
                                        }, minorHideTime, function(){other_albums.hide();} );
                                    }
                                }
                                //if opening tray
                                else{
                                    deactivate_text();
                                    tray_button.addClass('active');
                                    tray.show();
                                    tray_i.stop().animate({bottom : 0}, minorShowTime );

                                    //other albums
                                    if(other_albums_links){
                                        other_albums.show().animate({
                                            bottom  : tray.height(),
                                            opacity : 1
                                        }, minorShowTime );
                                    }
                                }
                            });
                        }

                        // Make thumb tray proper size
                        thumb_list.width(thumb_list_w);	//Adjust to true width of thumb markers

                        //less images then width
                        if(thumb_list_w < tray_width){
                            thumb_list.css('left', (tray_width - thumb_list_w)/2);
                            tray.addClass('nomove');
                        }
                        else{
                            tray.removeClass('nomove');
                        }

                        //Thumbnail Tray Navigation
                        thumb_interval = Math.floor(tray_width / thumb_width) * thumb_width;

                        if(!loadingNewAlbum ){
                            if(other_albums_links){
                                var AP = ApolloParams,
                                    current_album = AP.current_album_id,
                                    current_class = ' class="current"';

                                //ajax call for albums list
                                other_albums.addClass('loading');
                                $.post(AP.ajaxurl, {
                                        action : 'get_album_names' //called in backend
                                    },
                                    function(r) { //r = response
                                        var al = r.albums,
                                            html = '';
                                        //add list of albums
                                        if(al.length){
                                            for(var a = 0; a < al.length; a++){
                                                html += '<a href="'+al[a].link+'" data-id="'+al[a].id+'"'+(current_album === al[a].id? current_class : '')+'>'+al[a].name+'</a>';
                                                if(a !== al.length - 1){
                                                    html += '<span>/</span>';
                                                }

                                            }
                                            other_albums.removeClass('loading')
                                                .append(html);

                                            other_albums.on('click', 'a',{}, album.loadNewAlbum);
                                        }
                                        //hide it
                                        else{
                                            other_albums.hide();
                                        }
                                    },
                                    'json'
                                );
                            }
                            else{
                                other_albums.remove();
                            }

                            //Thumbnail Mouse Scrub
                            album.mouse_scrub();
                        }
                    }
                    else if(slide_text.length){
                        if(!loadingNewAlbum && what_to_show === 'text'){
                            activate_text();
                        }
                        //remove what is not needed
                        tray.remove();
                        tray_button.remove();
                        other_albums.remove();
                    }
                }

                if(!loadingNewAlbum && isFull){
                    //icons
                    album_icons.appendTo(parent);
                    //if no addthis plugin remove share icon
                    if(typeof addthis === 'undefined'){
                        share_ico.remove();
                        share_icon_enabled = 0; //cant enable this if there is no plugin
                    }
                    else{
                        if(share_icon_enabled){
                            share_ico.click(function(){
                                if(share_ico.hasClass('active')){
                                    share_ico.removeClass('active');
                                }
                                else{
                                    share_ico.addClass('active');
                                }
                            });
                        }
                        else{
                            share_ico.hide();
                        }
                    }
                }
            }
        };


        album.mouse_scrub = function(){
            if (tray.length){
                var
                    //for checking if current move want get out of tray scope
                    checkEdges = function(distance){
                        if(distance > 0){
                            return 0;
                        }
                        else if(distance < maxThumbsCssLeft){
                            return maxThumbsCssLeft;
                        }
                        return distance;
                    },

                    mouseScroll = function(event,delta){
                        event.preventDefault();
                        //do nothing
                        if(tray.hasClass('nomove')){
                            return;
                        }

                        delta =  parseInt(delta, 10);
                        var offset = thumb_list.offset().left,
                            first_visible = thumbs.eq(Math.ceil(-offset / thumb_width)),
                            to_end = first_visible.nextAll().andSelf().length * thumb_width,
                            to_move = delta * thumb_width,
                            move;

                        //move forward
                        if(to_move < 0){
                            if(tray_width > (to_end + to_move) ){
                                //forward edge');
                                move = -thumb_list_w + tray_width; //right edge
                            }
                            else{
                                //forward normal
                                move = -first_visible.position().left + to_move; //normal move
                            }
                        }
                        //move backward
                        else{
                            //if less then 0.9 thumb to scroll, jump to another(improves backward scrolling)
                            if( -offset + (-first_visible.position().left + to_move) < (0.9)*thumb_width ){
                                to_move += thumb_width;
                            }
                            if((offset + to_move) > 0 ){
                                //backward edge
                                move = 0; //left edge
                            }
                            else{
                                //backward normal
                                move = -first_visible.position().left + to_move; //normal move
                            }
                        }

                        animate_thumbs(move);
                    };

                //bind events
                if(isTouch){
                    var element = tray[0],  //DOM element
                        currentPosition,    //position of tray on start
                        currentX,           //current position of finger
                        startX,             //where was finger at move start
                        lastX,              //last finger saved for comparison
                        preLastDistance = 0,//pre last distance, for edge cases
                        lastT,              //last time we checked distance
                        threshold = 120,    //maximum time of no-move
                        maxTapDistance = 7,
                        multiplier = 5,
                        now,


                        onTouchStart = function(e){
                            //do nothing
                            if(tray.hasClass('nomove') === true){
                                return;
                            }
                            if (e.touches.length === 1) {
                                //collect init data
                                lastT = Number(new Date());
                                lastX = startX = currentX = e.touches[0].pageX;
                                thumb_list.stop(); //stop any animation
                                currentPosition = parseInt(thumb_list.css('left'), 10);

                                //bind events for other work
                                element.addEventListener('touchmove', onTouchMove, false);
                                element.addEventListener('touchend', onTouchEnd, false);
                            }
                            //more fingers - we don't react
                            else{ e.preventDefault(); }
                        },

                        onTouchMove = function(e){
                            e.preventDefault();

                            currentX = e.touches[0].pageX;
                            now = Number(new Date());
                            //if it is time for new measure new distance
                            if(now - lastT > threshold){
                                preLastDistance = lastX - currentX;
                                lastT = now;
                                lastX = currentX;
                            }

                            //update position of tray
                            thumb_list.css('left', checkEdges(parseInt(currentPosition - (startX - currentX), 10)) );
                        },

                        onTouchEnd = function(e){
                            var now = Number(new Date()),
                                time = now - lastT,
                            //calculate distance in full time cycle
                                lastDistance = parseInt(threshold/time * (lastX - currentX), 10),
                                ldAbs = Math.abs(lastDistance),
                                animationDistance = 0;

                            if(ldAbs > maxTapDistance * multiplier){
                                animationDistance = lastDistance;
                            }
                            else if(Math.abs(preLastDistance) > maxTapDistance && time < threshold){
                                animationDistance = preLastDistance;
                            }

                            //micro move we treat like tap
                            if(!(preLastDistance === 0 && ldAbs <= maxTapDistance)){
                                //it was NOT tap
                                //it was slide
                                e.preventDefault();

                                if(animationDistance !== 0){

                                    thumb_list.stop()
                                        .animate({
                                            left : checkEdges(parseInt(thumb_list.css('left'), 10) - animationDistance * multiplier)
                                        }, 1000, 'easeOutSine');
                                }
                            }

                            // finish the touch by undoing the touch session
                            element.removeEventListener('touchmove', onTouchMove, false);
                            element.removeEventListener('touchend', onTouchEnd, false);
                            //clean after work
                            preLastDistance = currentX = startX = 0;
                        };

                    element.addEventListener('touchstart', onTouchStart, false);
                }
                else if(vo.mouse_scrub){
                    tray
                        .mouseenter(function() {
                            //do nothing
                            if(tray.hasClass('nomove')){
                                return;
                            }

                            tray.data('mouseover', true);
                        })
                        .mouseleave(function() {
                            tray.data('mouseover', false);
                        })
                        .mousewheel(throttle(mouseScroll, 100));
                }


                prev_tray.click(function(e){ mouseScroll(e, 1);});
                next_tray.click(function(e){ mouseScroll(e, -1);});
            }
        };


        /* Hides controls and other elements
         ----------------------------*/
        album._initHide = function(){
            //  Hide elements to be faded in
            $el.css('visibility','hidden');
            $load_item = $('.load-item');
            $load_item.hide();
        };


        /* Launch Supersized. Start all action
         ----------------------------*/
        album.launch = function(){
            if(!loadingNewAlbum){
                $el.css('visibility','visible');
                $('#album-loader').remove();		//Hide loading animation

            // Call function for before slide transition
                album.beforeAnimation('next', true);
                $load_item.css('visibility', 'visible').fadeIn(minorShowTime);

                // Start slideshow if enabled
                if (slides_num > 1){
                    // Start slide show if auto-play enabled
                    if (vo.autoplay){
                        slideshow_interval_id = setTimeout(album.nextSlide, slideshow_interval_time);	// Initiate slide interval

                        // Start progressbar if auto-play of slide show is enabled
                        if(p_bar_enabled){ album.progressBar(); }
                    }
                    else{
                        is_paused = true;	// Mark as paused
                        if(p_bar_enabled){ album.progressBarStop(); }
                    }
                }
                else{
                    is_paused = true;	// Mark as paused
                    if(p_bar_enabled){ album.progressBarStop(); }
                }


                /******* EVENTS *********/
                // Keyboard Navigation
                if (vo.keyboard_nav){
                    $(document.documentElement).keyup(function (event) {
                        if(in_animation){return false; }    // Abort if currently animating

                        var key = event.keyCode;

                        // Left Arrow or Down Arrow
                        if ((key === 37) || (key === 40)){
                            clearTimeout(slideshow_interval_id);	// Stop slideshow, prevent buildup
                            album.prevSlide();

                            // Right Arrow or Up Arrow
                        } else if ((key === 39) || (key === 38)) {
                            clearTimeout(slideshow_interval_id);	// Stop slideshow, prevent buildup
                            album.nextSlide();

                            // Spacebar
                        } else if (key === 32) {
                            clearTimeout(slideshow_interval_id);	// Stop slideshow, prevent buildup
                            album.playToggle();
                        }

                        return true;
                    });
                }

                //slide text events
                if(slide_text.length){
                    close_text.click(deactivate_text);
                    show_text.click(activate_text);
                }

                next_slide.click(album.nextSlide);
                prev_slide.click(album.prevSlide);
                play_button.click(album.playToggle);
                $el.on('click', 'li',{}, album.playToggle);

                //**************************************/
                if(isTouch){
                    addTouchEvent($el[0], {
                        right: album.prevSlide,
                        left: album.nextSlide
                    });
                }
                //**************************************/


                if(album_icons.length){
                    if(desc_icon_enabled){
                        info_ico.click(activate_text);
                    }
                }
                // Adjust image when browser is resized
                $(window).resize(debounce(function(){
                    album.resizeNow();

                    // Delay progress bar on resize
                    if (p_bar_enabled && !in_animation && !is_video_playing){
                        album.progressBarStop();

                        if (slideshow_interval_id || (slides_num - 1 > 0)){
                            clearTimeout(slideshow_interval_id);
                        }

                        if (!progress_delay){
                            // Delay slideshow from resuming so Chrome can refocus images
                            progress_delay = setTimeout(function() {
                                if (!is_paused){
                                    album.progressBar();
                                    slideshow_interval_id = setTimeout(album.nextSlide, slideshow_interval_time);
                                }
                                progress_delay = false;
                            }, 1000);
                        }
                    }

                    // Thumb Links
                    if (thumb_links && tray.length){
                        thumb_list_w = thumb_list.width();
                        tray_width = tray.width();

                        // Update Thumb Interval & Page
                        thumb_interval = Math.floor(tray_width / thumb_width) * thumb_width;

                        // Adjust thumbnail markers
                        if (thumb_list_w > tray_width){
                            var currentPos = parseInt(thumb_list.css('left'), 10);
                            thumb_list.stop();
                            tray.removeClass('nomove');
                            maxThumbsCssLeft = tray_width - thumb_list_w;
                            //fix right side edge
                            if(currentPos < maxThumbsCssLeft){
                                thumb_list.css('left', maxThumbsCssLeft);
                            }
                            //fix left side edge
                            else if(currentPos > 0){
                                thumb_list.css('left', 0);
                            }
                        }
                        //less images then width
                        else{
                            thumb_list.css('left', (tray_width - thumb_list_w)/2);
                            tray.addClass('nomove');
                        }

                    }
                }, 250));
            }

            if (slide_links){
                // Slide marker clicked
                slide_list_li.click(function(e){
                    e.preventDefault();

                    album.goTo(slide_list_li.index(this));
                });
            }

            // Thumb marker clicked
            if (thumb_links){
                thumbs.click(function(e){
                    e.preventDefault();

                    album.goTo(thumbs.index(this));
                });
            }
        };


        /* Loads APIs for Video types
         ----------------------------*/
        album.loadVideoApi = function(){
            //load Youtube API
            if(loadYouTubeAPI === true){
                //this function will run when YT API will load
                window.onYouTubeIframeAPIReady = function() {
//                    console.log ('Youtube Api ready!');
                    album.YT_ready(true);
                };

                //load YT API
                (function(){
                    var tag = document.createElement('script');
                    tag.src = "//www.youtube.com/iframe_api";
                    var firstScriptTag = document.getElementsByTagName('script')[0];
                    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
                })();

            }

            //load Vimeo API
            if(loadVimeoAPI === true){
                //load VIMEO API
                (function(){
                    var tag = document.createElement('script');
                    tag.src = "http://a.vimeocdn.com/js/froogaloop2.min.js";
                    var firstScriptTag = document.getElementsByTagName('script')[0];
                    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
                })();
            }

            //load native video API
            if(loadNativeVideoAPI === true){
                //load VideoJS API
                (function(){
                    var tag = document.createElement('script');
                    tag.src = "http://vjs.zencdn.net/c/video.js";
                    var firstScriptTag = document.getElementsByTagName('script')[0];
                    firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
                })();
            }
        };


        // Define YT_ready function.
        album.YT_ready = (function(){
            var onReady_funcs = [], api_isReady = false;
            /* @param func function     Function to execute on ready
             * @param func Boolean      If true, all queued functions are executed
             * @param b_before Boolean  If true, the func will added to the first
             position in the queue*/
            return function(func, b_before){
                if (func === true) {
                    api_isReady = true;
                    for (var i=0; i<onReady_funcs.length; i++){
                        // Removes the first func from the array, and execute func
                        onReady_funcs.shift()();
                    }
                }
                else if(typeof func === "function") {
                    if (api_isReady){ func(); }
                    else{ onReady_funcs[b_before?"unshift":"push"](func);}
                }
            };
        })();


        /* Init player so it can be manipulated by API
         ----------------------------*/
        album.initPlayer = function(playerId, onReady){
            var current = videos[playerId],
                frame = $el.find('#'+playerId).find('iframe').get(0);

            //if player is initialized already
            if(typeof current.player !== 'undefined'){
                return;
            }

            if(typeof onReady !== 'function'){
                //empty function
                onReady = function(){};
            }

//            console.log ('init player', playerId, onReady.toString(), current.movie_type);

            if(current.movie_type === 'youtube'){
                current.player = new YT.Player(frame, {
                    events: {
                        'onReady'       : onReady,
                        'onStateChange' : album.videoStateChange
                    }
                });
            }

            else if(current.movie_type === 'vimeo'){
                if(typeof $f !== 'undefined'){
                    current.player = $f(frame);
                    current.player.addEvent('ready', function() {
                        current.player.addEvent('pause', function(){ album.videoStateChange(2); });
                        current.player.addEvent('play', function(){ album.videoStateChange(1, playerId); });
                        current.player.addEvent('finish', function(){ album.videoStateChange(0); });

                        onReady();
                    });
                }
                else{
//                    console.log ('Vimeo API NOT loaded!');
                    //try again after 0.5s
                    setTimeout(function(){ album.initPlayer(playerId, onReady); }, 500);
                }
            }

            else if(current.movie_type === 'html5'){
                if(typeof _V_ !== 'undefined'){
                    var vid = $(frame).contents().find('#example_video_1');

                    current.player = _V_(vid.get(0));
                    current.player.ready(function(){
                        current.player.addEvent('pause', function(){ album.videoStateChange(2); });
                        current.player.addEvent('play', function(){ album.videoStateChange(1); });
                        current.player.addEvent('ended', function(){ album.videoStateChange(0); });

                        //resize video to full size
                        vid.css({
                            height : '100%',
                            width  : '100%'
                        });

                        onReady();
                    });
                }
                else{
                    console.log ('HTML5 Video API NOT loaded!');
                    //try again after 0.5s
                    setTimeout(function(){ album.initPlayer(playerId, onReady); }, 500);
                }
            }
        };

        /* Plays Video
         ----------------------------*/
        album.playVideo = function(){
            var playerId = slide_id_pre+current_slide,
                current = videos[playerId],
                type;
//            console.log ('play video', playerId, 'no type yet');

            //if no such player
            if(typeof current === 'undefined'){
                return;
            }
            type = current.movie_type;
//            console.log ('play video', playerId, type);

            //helper function
            var play = function(){
                if(type === 'youtube'){ current.player.playVideo(); }
                else if(type === 'vimeo'){ current.player.api('play'); }
                else if(type === 'html5'){ current.player.play(); }
            };

            //player not initialized yet
            if(typeof current.player === 'undefined'){
                //helper function
                var init = function(){
                    album.initPlayer(playerId, function(){ play(); } );
                };

                if(type === 'youtube'){ album.YT_ready( function(){ init(); }); }
                else if(type === 'vimeo'){ init(); }
                else if(type === 'html5'){ init(); }
            }
            else{
                play();
            }
        };

        /* Stops playing video
         ----------------------------*/
        album.pauseVideo = function(playerId){
            if(typeof playerId === 'undefined'){
                playerId = slide_id_pre+current_slide;
            }
            var current = videos[playerId],
                type;

            //if no such player
            if(typeof current === 'undefined'){
                return;
            }

            type = current.movie_type;

//            console.log ('pause video', playerId, type);

            //helper function
            var pause = function(){
                if(type === 'youtube' && typeof current.player !== 'undefined' && typeof current.player.pauseVideo !== 'undefined'){ current.player.pauseVideo(); }
                else if(type === 'vimeo' && typeof current.player !== 'undefined' && typeof current.player.api !== 'undefined'){ current.player.api('pause'); }
                else if(type === 'html5' && typeof current.player !== 'undefined' && typeof current.player.pause !== 'undefined'){ current.player.pause(); }
            };

            //player not initialized yet
            if(typeof current.player === 'undefined'){
                //helper function
                var init = function(){
                    album.initPlayer(playerId, function(){ pause(); } );
                };

                if(type === 'youtube'){ album.YT_ready( function(){ init(); }); }
                else if(type === 'vimeo'){ init(); }
                else if(type === 'html5'){ init(); }
            }
            else{
                pause();
            }
        };

        /* Video events handling
         ----------------------------*/
        album.videoStateChange = function(event, playerId){
            /*
            * VIMEO & VideoJS change returns number
            * Youtube change returns event object
            * */
            var state = event;

            if(typeof state === 'object'){
                state = event.data;
            }

//            console.log ('player state: ' + state, typeof event, playerId);

            //if playing
            if(state === 1){
                //protection for auto playing vimeo video after YT player initialization
                //it may play when it is not visible
                //only vimeo video return playerId on state change
                if(typeof playerId !== 'undefined' && playerId !== slide_id_pre+current_slide){
                    videos[playerId].player.api('pause');
                    return;
                }

                //stops slide show things on video playback
                album.stoppu();
                is_video_playing = true;
            }
            //if video ended and slide show is not paused
            else{
                is_video_playing = false;

                if(state === 0 && !is_paused){
                    album.nextSlide();
                }
            }
        };


        /* Resize Images
          ----------------------------*/
		album.resizeNow = function(image){
            var elem = (typeof image === 'undefined')? $el.find('img') : $(image);

            //  Resize each image
            elem.each(function(){
                var thisSlide = $(this),
                    orgH  = thisSlide.data('origHeight'),
                    orgW  = thisSlide.data('origWidth'),
                    ratio = (orgH/orgW).toFixed(2),	// Define image ratio

                // Gather browser size
                    browserwidth = $el.width(),
                    browserheight = $el.height(),
                    min_height = vo.min_height,
                    min_width = vo.min_width,
                    fit_landscape = vo.fit_landscape,
                    fit_portrait = vo.fit_portrait,

                /*-----Resize Functions-----*/
                    resizeWidth = function(minimum){
                        if (minimum){	// If minimum height needs to be considered
                            if(thisSlide.width() < browserwidth || thisSlide.width() < min_width ){
                                if (thisSlide.width() * ratio >= min_height){
                                    thisSlide.width(min_width);
                                    thisSlide.height(thisSlide.width() * ratio);
                                }else{
                                    resizeHeight();
                                }
                            }
                        }else{
                            if (min_height >= browserheight && !fit_landscape){	// If minimum height needs to be considered
                                if (browserwidth * ratio >= min_height || (browserwidth * ratio >= min_height && ratio <= 1)){	// If resizing would push below minimum height or image is a landscape
                                    thisSlide.width(browserwidth);
                                    thisSlide.height(browserwidth * ratio);
                                } else if (ratio > 1){		// Else the image is portrait
                                    thisSlide.height(min_height);
                                    thisSlide.width(thisSlide.height() / ratio);
                                } else if (thisSlide.width() < browserwidth) {
                                    thisSlide.width(browserwidth);
                                    thisSlide.height(thisSlide.width() * ratio);
                                }
                            }else{	// Otherwise, resize as normal
                                thisSlide.width(browserwidth);
                                thisSlide.height(browserwidth * ratio);
                            }
                        }
                    },

                    resizeHeight = function(minimum){
                        if (minimum){	// If minimum height needs to be considered
                            if(thisSlide.height() < browserheight){
                                if (thisSlide.height() / ratio >= min_width){
                                    thisSlide.height(min_height);
                                    thisSlide.width(thisSlide.height() / ratio);
                                }else{
                                    resizeWidth(true);
                                }
                            }
                        }else{	// Otherwise, resized as normal
                            if (min_width >= browserwidth){	// If minimum width needs to be considered
                                if (browserheight / ratio >= min_width || ratio > 1){	// If resizing would push below minimum width or image is a portrait
                                    thisSlide.height(browserheight);
                                    thisSlide.width(browserheight / ratio);
                                } else if (ratio <= 1){		// Else the image is landscape
                                    thisSlide.width(min_width);
                                    thisSlide.height(thisSlide.width() * ratio);
                                }
                            }else{	// Otherwise, resize as normal
                                thisSlide.height(browserheight);
                                thisSlide.width(browserheight / ratio);
                            }
                        }
                    };
                /*-----End Resize Functions-----*/

                /*-----Resize Image-----*/
                if (vo.fit_when_needed){	// Fit always is enabled
                    //reset
                    thisSlide.css({
                        width: orgW,
                        height: orgH
                    });

                    if( orgH > browserheight || orgW > browserwidth){
                        if ((browserheight/browserwidth) > ratio){
                            resizeWidth();
                        } else {
                            resizeHeight();
                        }
                    }
                }
                else if (vo.fit_always){	// Fit always is enabled
                    if ((browserheight/browserwidth) > ratio){
                        resizeWidth();
                    } else {
                        resizeHeight();
                    }
                }
                else{	// Normal Resize

                    // If window smaller than minimum width and height
                    if ((browserheight <= min_height) && (browserwidth <= min_width)){

                        if ((browserheight/browserwidth) > ratio){
                            // If landscapes are set to fit
                            if(fit_landscape && ratio < 1){
                                resizeWidth(true);
                            }
                            else{
                                resizeHeight(true);
                            }
                        } else {
                            // If portraits are set to fit
                            if(fit_portrait && ratio >= 1){
                                resizeHeight(true);
                            }
                            else{
                                resizeWidth(true);
                            }
                        }

                    }
                    // If window only smaller than minimum width
                    else if (browserwidth <= min_width){
                        if ((browserheight/browserwidth) > ratio){
                            // If landscapes are set to fit
                            if(fit_landscape && ratio < 1 ){
                                resizeWidth(true);
                            }
                            else{
                                resizeHeight();
                            }
                        }
                        else {
                            // If portraits are set to fit
                            if(fit_portrait && ratio >= 1){
                                resizeHeight();
                            }
                            else{
                                resizeWidth(true);
                            }
                        }
                    }
                    // If window only smaller than minimum height
                    else if (browserheight <= min_height){

                        if ((browserheight/browserwidth) > ratio){
                            // If landscapes are set to fit
                            if(fit_landscape && ratio < 1){
                                resizeWidth();
                            }
                            else{
                                resizeHeight(true);
                            }
                        }
                        else {
                            // If portraits are set to fit
                            if(fit_portrait && ratio >= 1){
                                resizeHeight(true);
                            }else{
                                resizeWidth();
                            }
                        }

                    }
                    // If larger than minimums
                    else {

                        if ((browserheight/browserwidth) > ratio){
                            // If landscapes are set to fit
                            if(fit_landscape && ratio < 1){
                                resizeWidth();
                            }
                            else{
                                resizeHeight();
                            }
                        }
                        else {
                            // If portraits are set to fit
                            if(fit_portrait && ratio >= 1){
                                resizeHeight();
                            }
                            else{
                                resizeWidth();
                            }
                        }
                    }
                }
                /*-----End Image Resize-----*/

                if (thisSlide.parents('li').hasClass('image-loading')){
                    $('.image-loading').removeClass('image-loading');
                }

                // Horizontally Center
                if (vo.horizontal_center){
                    thisSlide.css('left', (browserwidth - thisSlide.width())/2);
                }

                // Vertically Center
                if (vo.vertical_center){
                    thisSlide.css('top', (browserheight - thisSlide.height())/2);
                }

            });
		};


        /* Filling empty slides when need
         ----------------------------*/
        album.fillSlide = function(targetList, loadSlide, bonusClass){
            if (!targetList.html()){
                var slide_type = slides[loadSlide].type,
                    addClass = (typeof bonusClass !== 'undefined'),
                    imageLink, item;

                if(slide_type === 'image'){
                    imageLink = (slides[loadSlide].url) ? "href='" + slides[loadSlide].url + "'" : "";	// If link exists, build it
                    item = $('<img src="" />');

                    item.appendTo(targetList).wrap('<a ' + imageLink + '></a>').parent().parent()
                        .addClass('image-loading' + (addClass? ' '+bonusClass : '')).css(hidden);

                    item
                        .css(hidden)
                        .load(function(){
                            album._origDim($(this));
                            album.resizeNow(this);
                            item.hide().css({visibility : ''}).fadeIn(minorShowTime);
                        })
                        .attr('src', slides[loadSlide].image);

                }
                else if(slide_type === 'video'){
                    item = $('<iframe src="'+slides[loadSlide].image+'" />');
                    item.appendTo(targetList).parent().addClass((addClass? ' '+bonusClass : '')).css(hidden);
                }
            }
        };


        /* Change Slide
		----------------------------*/
		album.changeSlide = function(isPrev){
            if(typeof isPrev === 'undefined'){ isPrev = false; }

			// Abort if currently animating
			if(in_animation){ return false; }
            // Otherwise set animation marker
            else{ in_animation = true; }

            clearTimeout(slideshow_interval_id);	// Stop slideshow

			var	liveslide = all_slides.filter('.activeslide'),		// Find active slide
                speed = vo.transition_speed,
                nextThumb, prevThumb;

            if(loadingNewAlbum){
                liveslide = $('#'+slide_id_remove);
            }

            if(liveslide){
                //pause playing video
                album.pauseVideo(liveslide.attr('id'));
            }

            // Get the slide number of new slide
            if(isPrev){
                current_slide = current_slide <= 0 ?  slides_num - 1 : current_slide-1 ;
            }
            else{
                current_slide = current_slide + 1 === slides_num ? 0 : current_slide+1;
            }

            all_slides.filter('.prevslide').removeClass('prevslide'); //clean old prev slide

            var nextslide = all_slides.eq(current_slide),
                prevslide = liveslide.removeClass('activeslide').addClass('prevslide'),	// Remove active class & update previous slide
                loadSlide = (current_slide === slides_num - 1) ? 0 : current_slide + 1;	// Determine next slide for preload;
            if(isPrev){ loadSlide = current_slide; }

			// If hybrid mode is on drop quality for transition
			if (performance === 1){ $el.removeClass('quality').addClass('speed'); }

            //if slide was not filled yet
            album.fillSlide(all_slides.eq(loadSlide), loadSlide);

			// Update thumbnails (if enabled)
			if (vo.thumbnail_navigation === 1){
				// Load previous thumbnail
                if(isPrev){
                    prevThumb = (loadSlide === 0) ? slides_num - 1 : loadSlide - 1;
                }
                else{
                    prevThumb = (current_slide - 1 < 0)  ? slides_num - 1 : current_slide - 1;
                }
				prev_thumb.css('background-image','url('+slides[prevThumb].thumb+')');

				// Load next thumbnail
                if(isPrev){
                    nextThumb = (current_slide === slides_num - 1) ? 0 : current_slide + 1;
                }
                else{
                    nextThumb = loadSlide;
                }
                next_thumb.css('background-image','url('+slides[nextThumb].thumb+')');
			}


			// Call function for before slide transition
			album.beforeAnimation( isPrev? 'prev' : 'next' );

			//Update slide markers
			if (slide_links){
                slide_list_li.filter('.current-slide').removeClass('current-slide');
                slide_list_li.eq(current_slide).addClass('current-slide');
			}

            nextslide.css({visibility:'hidden'}).addClass('activeslide');	// Update active slide

            var after = function(){ clean_prev_slide(isPrev? prevslide : liveslide); };

            switch(vo.transition){
                case 0: case 'none':	// No transition
                    nextslide.css({visibility:'visible', left: ''}); in_animation = false; clean_prev_slide(liveslide); album.afterAnimation();
                    break;
                case 1: case 'fade':	// Fade
                    nextslide.css({ visibility : 'visible', opacity : 0, left: ''}).animate({opacity : 1}, speed, album.afterAnimation);
                    liveslide.animate({opacity : 0}, speed, after);
                    break;
                case 2: case 'slideTop':	// Slide Top
                    nextslide.css({ visibility : 'visible', top : (isPrev? $el.height() : -$el.height()), left: ''}).animate({top:0}, speed, album.afterAnimation);
                    liveslide.animate({opacity : 0}, speed, after);
                    break;
                case 3: case 'slideRight':	// Slide Right
                    nextslide.css({ visibility : 'visible', left : (isPrev? -$el.width() : $el.width())}).animate({left:0}, speed, album.afterAnimation);
                    liveslide.animate({opacity : 0}, speed, after);
                    break;
                case 4: case 'slideBottom': // Slide Bottom
                    nextslide.css({ visibility : 'visible', top : (isPrev? -$el.height() : $el.height()), left: ''}).animate({top:0}, speed, album.afterAnimation);
                    liveslide.animate({opacity : 0}, speed, after);
                    break;
                case 5: case 'slideLeft':  // Slide Left
                    nextslide.css({ visibility : 'visible', left : (isPrev? $el.width() : -$el.width())}).animate({left:0}, speed, album.afterAnimation);
                    liveslide.animate({opacity : 0}, speed, after);
                    break;
                case 6: case 'carouselRight':	// Carousel Right
                    nextslide.css({ visibility : 'visible', left : (isPrev? -$el.width() : $el.width())}).animate({left:0}, speed, album.afterAnimation);
                    if(isPrev){
                        liveslide.css({left : 0}).animate({left: $el.width()}, speed, function(){ clean_prev_slide(prevslide); } );
                    }
                    else{
                        liveslide.animate({left: -$el.width()}, speed, function(){ clean_prev_slide(liveslide); } );
                    }
                    break;
                case 7: case 'carouselLeft':   // Carousel Left
                    nextslide.css({ visibility : 'visible', left : (isPrev? $el.width() : -$el.width())}).animate({left:0}, speed, album.afterAnimation);
                    if(isPrev){
                        liveslide.css({left : 0}).animate({left: -$el.width()}, speed, function(){ clean_prev_slide(prevslide); } );
                    }
                    else{
                        liveslide.animate({left: $el.width()}, speed, function(){ clean_prev_slide(liveslide); } );
                    }
                break;
            }
            return false;
        };

        album.prevSlide = function(){
            if (loadingNewAlbum || slides_num > 1){
                album.changeSlide(true);
            }
        };

        album.nextSlide = function(){
            if (loadingNewAlbum || slides_num > 1){
                album.changeSlide();
            }
        };


		/* Play/Pause Toggle
		* Calls
		----------------------------*/
        album.playToggle = function(){
            if (in_animation || slides_num < 2){ return false; }		// Abort if currently animating

            if (is_paused){

                is_paused = false;

                album.playToggle2('play');

                // Resume slideshow
                slideshow_interval_id = setTimeout(album.nextSlide, slideshow_interval_time);

            }
            else{

                is_paused = true;

                album.playToggle2('pause');

                // Stop slideshow
                clearTimeout(slideshow_interval_id);

            }

            return false;

        };

        /* support for video */
        album.playToggle2 = function(state, forVideoPlayback){
            //paused for video playback
            if(typeof forVideoPlayback !== 'undefined' && forVideoPlayback === true){
                //just clear progress bar
                if (state === 'play'){
                    if(p_bar_enabled){
                        album.progressBar();
                    }
                }
                else if (state === 'pause'){
                    if(p_bar_enabled){
                        album.progressBarStop();
                    }
                }

                return;
            }



            var big_play = $('#big-play'),
                current = loadingNewAlbum? $('#'+slide_id_remove) : all_slides.eq(current_slide);

            if(!big_play.length){
                big_play = $('<div id="big-play" />');
            }

            //no big play above videos to not confuse anyone
            if(getField('type', true) !== 'video'){
                big_play.appendTo(current);
            }
            else{
                big_play.appendTo();
            }

            if (state === 'play'){
                play_button.addClass(state).removeClass('pause').text(play_button.data('pause'));
                big_play.addClass(state).removeClass('pause');

                if(p_bar_enabled){
                    album.progressBar();
                }
            }
            else if (state === 'pause'){
                play_button.addClass(state).removeClass('play').text(play_button.data('play'));
                big_play.addClass(state).removeClass('play');

                if(p_bar_enabled){
                    album.progressBarStop();
                }
            }

            if(big_play.parent().length){
                big_play.attr('style','').animate({
                    height : big_play.height() * 1.5,
                    width : big_play.width() * 1.5,
                    marginLeft: parseInt(big_play.css('margin-left'), 10) * 1.5,
                    marginTop: parseInt(big_play.css('margin-top'), 10) * 1.5,
                    opacity: 0
                }, 400);
            }
        };


        /* stops slide show things on video playback
        ----------------------------*/
        album.stoppu = function(){
            album.playToggle2('pause', true);

            // Stop slideshow
            clearTimeout(slideshow_interval_id);
        };


        /* Go to specific slide
        ----------------------------*/
        album.goTo = function(targetSlide){
			if (in_animation){ return; }	// Abort if currently animating

			// If target outside range
			if(targetSlide < 0){
				targetSlide = 0;
			}
            else if(targetSlide > slides_num){
				targetSlide = slides_num - 1;
			}

			clearTimeout(slideshow_interval_id);	// Stop slideshow, prevent buildup

            if (p_bar_enabled && !is_paused){
                album.progressBar();
            }

			if (current_slide === targetSlide){
				if(!(is_paused)){
					slideshow_interval_id = setTimeout(album.nextSlide, slideshow_interval_time);
				}
				return;
			}

			// If ahead of current position
			if(current_slide < targetSlide){
				// Adjust for new next slide
				current_slide = targetSlide-1; //need to go step back
				update_images = 'next';
				album._placeSlide(update_images);
			}
			//Otherwise it's before current position
            else if(current_slide > targetSlide){
				// Adjust for new prev slide
				current_slide = targetSlide+1; //need to go step forward
				update_images = 'prev';
                album._placeSlide(update_images);
			}

			// set active markers
			if (slide_links){
                slide_list_li.filter('.current-slide').removeClass('current-slide');
                slide_list_li.eq(targetSlide).addClass('current-slide');
			}

			if (thumb_links){
                thumbs.filter('.current-slide').removeClass('current-thumb');
				thumbs.eq(targetSlide).addClass('current-thumb');
			}
		};


        /* Place Slide
		----------------------------*/
        album._placeSlide = function(place){
			// If links should open in new window
			var loadSlide = false;

            // Determine next slide
			if (place === 'next'){
                loadSlide = (current_slide === slides_num - 1) ? 0 : current_slide + 1;
            }
            else if(place === 'prev'){
                loadSlide = (current_slide - 1 < 0) ? slides_num - 1 : current_slide - 1;
            }

            //if slide was not filled yet
            album.fillSlide(all_slides.eq(loadSlide), loadSlide);

            if (place === 'next'){ album.nextSlide(); }
            else if(place === 'prev'){ album.prevSlide(); }
		};


		/* Get Original Dimensions
		----------------------------*/
		album._origDim = function(targetSlide){
			targetSlide.data('origWidth', targetSlide.width()).data('origHeight', targetSlide.height());
		};


		/* After Slide Animation
		----------------------------*/
		album.afterAnimation = function(){
			// If hybrid mode is on swap back to higher image quality
			if (performance === 1){
                $el.removeClass('speed').addClass('quality');
			}

			// Update previous slide
            //MAY NOT BE NEEDED
			if (update_images){
                var setPrev = (current_slide - 1 < 0) ? slides_num - 1 : current_slide-1;
				update_images = false;
				all_slides.filter('.prevslide').removeClass('prevslide');
				all_slides.eq(setPrev).addClass('prevslide');
			}

			in_animation = false;

            //if current slide is video with auto-play option
            if(getField('type') === 'video' && parseInt(getField('autoplay'), 10)){
                //don't resume slideshow

                //glow glass icon
                var f = A13.elementsActions.glassIconGlow;
                if(typeof f ==='function' ){
                    f();
                }

                //play video
                album.playVideo();
            }
            else{
                //if current slide is video initialize API
                if(getField('type') === 'video'){
                    album.initPlayer(slide_id_pre+current_slide);
                }

                // Resume slideshow
                if (!is_paused){
                    slideshow_interval_id = setTimeout(album.nextSlide, slideshow_interval_time);
                    //no looping slide show
                    if (vo.stop_loop && current_slide === slides_num - 1 ){ album.playToggle(); }
                }
            }

			// Call function for after slide transition
            if(getField('type') === 'video' && parseInt(getField('autoplay'), 10)){
                //don't show progress bar if video has autoplay
                return;
            }

            if (p_bar_enabled && !is_paused){
                album.progressBar();
            }
		};

        album.beforeAnimation = function(direction, firstRun){
            if(loadingNewAlbum){
                var to_remove = $('#'+slide_id_remove),
                    speed = vo.transition_speed;

                //clean up
                loadingNewAlbum = false;
                to_remove.animate({opacity : 0}, speed, function(){ to_remove.remove(); });
            }

            var _type   = getField('type'),
                _title      = getField('title'),
                _desc       = getField('desc'),
                bg_color    = getField('bg_color'),
                pattern     = getField('pattern'),
                pattern_o   = parseInt(getField('pattern_opacity'), 10) / 100,
                now_big     = all_slides.eq(current_slide),
                any_text    = 0,
                showTime    = minorShowTime,
                hideTime    = minorHideTime,
                share_tool  = $('#addthis-toolbox');

            //placing pattern first for proper z-index calculation
            //add photo pattern
            if(typeof pattern !== 'undefined' && pattern !== '0' &&  !now_big.find('div.pattern').length){
                $('<div class="pattern" style="background-image: url(' + ApolloParams.images_dir + '/patterns/' + pattern + ');" />').css('opacity', pattern_o).appendTo(now_big);
            }
            //photo bg color
            A13.setRGBA_n_RGB(now_big[0], 'backgroundColor', bg_color);

            if(p_bar_enabled){
                album.progressBarStop();
            }

            if(theme === 'full'){
                if(_type === 'image'){
                    //if there is defined place for text
                    if(slide_text.length){
                        if(firstRun){
                            showTime = 0;
                            hideTime = 0;
                        }

                        //add caption
                        if (_title.length){
                            slide_caption.html(_title).slideDown(showTime);
                            show_text.text(_title);
                            any_text = 1;
                        }
                        else{
                            slide_caption.slideUp(hideTime, function(){slide_caption.text('');});
                            show_text.empty();
                        }

                        //add description
                        if (_desc.length){
                            slide_description.html(_desc).slideDown(showTime);
                            any_text = 1;
                        }
                        else{
                            slide_description.slideUp(hideTime, function(){slide_description.empty();});
                        }

                        //show text place if there is any text to display
                        if(any_text === 1){
                            show_text.fadeIn(showTime);
                            if(slide_text.hasClass('active')){
                                slide_texts_p.slideDown(showTime);
                            }
                            else{
                                slide_texts_p.hide();
                            }
                        }
                        else{
                            slide_texts_p.slideUp(hideTime);
                            show_text.fadeOut(hideTime);
                            //slide up don't work on hidden elements so need to use hide
                            if(firstRun){
                                slide_texts_p.hide();
                                show_text.hide();
                            }
                        }
                    }

                    if(album_icons.length){
                        if(link_icon_enabled){
                            link_ico.attr('href', getField('link')).show();
                        }
                        else{
                            link_ico.hide();
                        }

                        //share options
                        if(typeof addthis !== 'undefined' && share_tool.length ){
                            share_tool
                                .empty()
                                .append(''+
                                '<a class="addthis_button_preferred_1"></a>' +
                                '<a class="addthis_button_preferred_2"></a>' +
                                '<a class="addthis_button_preferred_3"></a>' +
                                '<a class="addthis_button_preferred_4"></a>' +
                                '<a class="addthis_button_preferred_5"></a>' +
                                '<a class="addthis_button_compact"></a>'
                            );

                            //add refreshed social icons
                            addthis.toolbox(share_tool[0], undefined, {url: getField('link'), title: getField('title')});
                        }

                        //info icon
                        if(desc_icon_enabled){
                            if(any_text === 1){
                                info_ico.show();
                            }
                            else{
                                info_ico.hide();
                            }
                        }
                        else{
                            info_ico.hide();
                        }

                        //hide container if not needed
                        if(any_icon_enabled()){
                            album_icons.addClass('active');
                        }
                        else{
                            album_icons.removeClass('active');
                        }
                    }
                }
                //video
                else{
                    slide_texts_p.slideUp(hideTime);
                    show_text.fadeOut(hideTime);
                    if(firstRun){
                        slide_texts_p.hide();
                        show_text.hide();
                    }

                    if(album_icons.length){
                        album_icons.removeClass('active');
                    }
                }

                //prev slide number
                prev_slide.find('span.num').text(current_slide - 1 < 0 ? slides_num : current_slide);
                //next slide number
                next_slide.find('span.num').text(current_slide + 2 > slides_num ? 1 : current_slide + 2);

                // Highlight current thumbnail and adjust row position
                if (thumb_links){
                    var thumb_list_w = thumb_list.width(),
                        position     = 0,
                        current_thumb, temp, slidePx;

                    //change current thumb class
                    thumbs.filter('.current-thumb').removeClass('current-thumb');
                    current_thumb = thumbs.eq(current_slide).addClass('current-thumb');

                    if(tray.data('mouseover') !== true){
                        // If thumb can be out of view
                        if (thumb_list_w > tray_width ){
                            position = current_thumb.offset().left - tray.offset().left;

                            if (current_slide === 0){
                                animate_thumbs(0);
                            }
                            //thumb out off view on the right
                            else if (position >= thumb_interval){
                                temp = current_thumb.nextAll().andSelf().length * thumb_width;
                                //if there is less slides than width of tray
                                if(temp <= thumb_interval ){
                                    slidePx = -(current_thumb.position().left  - (tray_width - temp));
                                }
                                else{
                                    slidePx = -current_thumb.position().left;
                                }

                                animate_thumbs(slidePx);
                            }
                            //thumb out off view on the left
                            else if(position < 0){
                                animate_thumbs(-current_thumb.position().left);
                            }
                        }
                    }
                }
            }
        };


        album.progressBar = function(){
            var parent = progress_bar.parent().parent();

            progress_bar
                .stop()
                .css( 'width' , 0)
                .animate({
                    width : parent.width()
                }, slideshow_interval_time, 'linear');
        };

        album.progressBarStop = function(){
            progress_bar
                .stop()
                .css( 'width' , 0);
        };

        // Make it go!
        album.collect_n_build();
	};

    $.fn.album_view = function(options){
        return this.each(function(){
            $.album_view(options);
        });
    };
})(jQuery);