<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 */
global $apollo13;
?>


<?php /* If there are no posts to display, such as an empty archive page */ ?>
<?php
if ( ! have_posts() ):
    global $empty_error_msg;
    $empty_error_msg = __fe( 'Apologies, but no results were found for the requested archive.' );
    get_template_part( 'no-content');
else:
    $post_classes = 'archive-item';
    $has_sidebar = (
                        (is_home() && $apollo13->get_option( 'blog', 'blog_sidebar' ) == 'on')
                    ||  ((is_archive() || is_search()) && $apollo13->get_option( 'blog', 'archive_sidebar' ) == 'on')
                    );

    //check if flat look
    if( (is_home() && $apollo13->get_option('blog', 'blog_flat_look') == 'on')
        ||
        ((is_archive() || is_search()) && $apollo13->get_option('blog', 'archive_flat_look') == 'on')
    ){
        $post_classes .= ' flat-look';
    }

    $media_width = 600;
    //check if page is in masonry style
    $is_masonry = false;
    if( (is_home() && $apollo13->get_option('blog', 'blog_layout_style') == 'masonry')
        ||
        ((is_archive() || is_search()) && $apollo13->get_option('blog', 'archive_layout_style') == 'masonry')
    ){
        $is_masonry = true;
    }

    if($is_masonry){
        $post_classes .= ' brick';
        echo '<div id="masonry-parent">';
        $media_width = (int)$apollo13->get_option( 'blog', 'brick_width' ) -60;//60 = masonry padding
    }

    while ( have_posts() ) : the_post(); ?>
		<div id="post-<?php the_ID(); ?>" <?php post_class($post_classes); ?>>
            <?php
            if($is_masonry){
                a13_top_image_video( get_the_ID(), $media_width );
            }
            else{
                if($has_sidebar)
                    a13_top_image_video( get_the_ID(), 600 );
                else
                    a13_top_image_video( get_the_ID(), 940, 0, 'full' );
            }
            ?>

            <div class="date_n_author"><?php echo a13_date_and_author(); ?><a href="<?php echo esc_url(get_permalink()); ?>" class="post-icon"></a></div>

            <?php get_template_part( 'content', get_post_format() ); ?>

            <?php a13_post_info(); ?>
		</div><!-- #post-## -->

    <?php endwhile; // End the loop. Whew.

    if($is_masonry){
        echo '</div>'; //#masonry-parent
    }
endif;