<?php
/**
 * The template for displaying Search Results pages.
 *
 */

get_header();

$some_results = false;
$title = sprintf( __fe( 'No Search results for "%1$s"' ), get_search_query() );

if ( have_posts() ){
    /* Search Count */
    $allsearch = &new WP_Query("s=$s&showposts=-1");
    $count = $allsearch->post_count;
    wp_reset_query();

    $some_results = true;
    $title = sprintf( __fe( '%1$d Search results for "%2$s"' ), $count, get_search_query() );
}
?>

<div class="info-bar" id="begin-of-content">
    <div class="inside">
        <h1 class="page-title"><?php echo $title; ?></h1>
    </div>
</div>
<div id="content">
    <div class="inside clearfix">
        <article>
            <?php
                if($some_results){
                    /* Run the loop for the search to output the results.*/
                    get_template_part( 'loop' );

                    a13_blog_nav();
                }
                else{
                    get_template_part( 'no-content');
                }
            ?>
        </article>

        <?php get_sidebar(); ?>
    </div>
</div>

<?php get_footer(); ?>